var _templateObject = _taggedTemplateLiteralLoose(['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        '], ['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n                display: flex;\n                align-items: center;\n            '], ['\n                display: flex;\n                align-items: center;\n            ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n                        cursor: pointer;\n                        margin-left: 4px;\n                        display: flex;\n                        &:active {\n                            opacity: 0.75;\n                        }\n                    '], ['\n                        cursor: pointer;\n                        margin-left: 4px;\n                        display: flex;\n                        &:active {\n                            opacity: 0.75;\n                        }\n                    ']);

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React from 'react';
import { css, cx } from 'emotion';
import get from 'lodash/get';
import colors from '@cmds/colors';
import icons from './icons';

export default (function (_ref) {
    var className = _ref.className,
        option = _ref.option,
        onRemove = _ref.onRemove;
    return React.createElement(
        'div',
        {
            className: cx(css(_templateObject, get(colors, [option.colorId, 'backgroundColor']), get(colors, [option.colorId, 'color'])), className)
        },
        React.createElement(
            'div',
            {
                className: css(_templateObject2)
            },
            option.name,
            onRemove ? icons.close({
                height: 12,
                className: css(_templateObject3),
                onClick: function onClick() {
                    return onRemove({ id: option.id });
                }
            }) : null
        )
    );
});