var _templateObject = _taggedTemplateLiteralLoose(['\n            max-width: 100%;\n            cursor: pointer;\n            align-items: center;\n            display: inline-flex;\n            flex: none;\n            margin-top: 4px;\n            margin-bottom: 4px;\n            margin-right: 4px;\n        '], ['\n            max-width: 100%;\n            cursor: pointer;\n            align-items: center;\n            display: inline-flex;\n            flex: none;\n            margin-top: 4px;\n            margin-bottom: 4px;\n            margin-right: 4px;\n        ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n                background-color: ', ';\n                color: ', ';\n                min-width: 18px;\n                height: 18px;\n                font-size: 13px;\n                font-weight: 400;\n                    border-radius: 9999px;\n                    max-width: 100%;\n                    flex: none;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                        -webkit-print-color-adjust: exact;\n                        cursor: pointer;\n            '], ['\n                background-color: ', ';\n                color: ', ';\n                min-width: 18px;\n                height: 18px;\n                font-size: 13px;\n                font-weight: 400;\n                    border-radius: 9999px;\n                    max-width: 100%;\n                    flex: none;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                        -webkit-print-color-adjust: exact;\n                        cursor: pointer;\n            ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                    max-width: 100%;\n                    overflow: hidden;\n                    text-overflow: ellipsis;\n                    white-space: nowrap;\n                '], ['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                    max-width: 100%;\n                    overflow: hidden;\n                    text-overflow: ellipsis;\n                    white-space: nowrap;\n                ']),
    _templateObject4 = _taggedTemplateLiteralLoose(['\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            color: #111111;\n            cursor: default;\n            outline: none;\n            display: flex;\n            flex-wrap: wrap;\n            vertical-align: middle;\n            position: relative;\n            white-space: normal;\n            line-height: 12px;\n            overflow: visible;\n            background-color: transparent;\n            width: 100%;\n            height: auto;\n        '], ['\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            color: #111111;\n            cursor: default;\n            outline: none;\n            display: flex;\n            flex-wrap: wrap;\n            vertical-align: middle;\n            position: relative;\n            white-space: normal;\n            line-height: 12px;\n            overflow: visible;\n            background-color: transparent;\n            width: 100%;\n            height: auto;\n        ']),
    _templateObject5 = _taggedTemplateLiteralLoose(['\n                display: flex;\n                flex: 1 1 auto;\n                min-width: 0;\n                min-height: 0;\n            '], ['\n                display: flex;\n                flex: 1 1 auto;\n                min-width: 0;\n                min-height: 0;\n            ']),
    _templateObject6 = _taggedTemplateLiteralLoose(['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                '], ['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                ']),
    _templateObject7 = _taggedTemplateLiteralLoose(['\n                        display: flex;\n                        position: relative;\n                        overflow: auto;\n                        align-content: flex-start;\n                        align-items: flex-start;\n                        flex-wrap: wrap;\n                    '], ['\n                        display: flex;\n                        position: relative;\n                        overflow: auto;\n                        align-content: flex-start;\n                        align-items: flex-start;\n                        flex-wrap: wrap;\n                    ']);

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

import React from 'react';
import { css } from 'emotion';
import colors from '@cmds/colors';
import get from 'lodash/get';

var Option = function Option(_ref) {
    var option = _ref.option;
    return React.createElement(
        'div',
        {
            className: css(_templateObject)
        },
        React.createElement(
            'span',
            {
                className: css(_templateObject2, get(colors, [option.colorId, 'backgroundColor']), get(colors, [option.colorId, 'color']))
            },
            React.createElement(
                'div',
                {
                    className: css(_templateObject3)
                },
                option.name
            )
        )
    );
};

var OptionList = function OptionList(_ref2) {
    var children = _ref2.children;
    return React.createElement(
        'div',
        {
            className: css(_templateObject4)
        },
        React.createElement(
            'div',
            {
                className: css(_templateObject5)
            },
            React.createElement(
                'div',
                {
                    className: css(_templateObject6)
                },
                React.createElement(
                    'div',
                    {
                        className: css(_templateObject7)
                    },
                    children
                )
            )
        )
    );
};

var RecordListItem = function (_React$Component) {
    _inherits(RecordListItem, _React$Component);

    function RecordListItem() {
        _classCallCheck(this, RecordListItem);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    RecordListItem.prototype.render = function render() {
        var _props = this.props,
            optionIds = _props.optionIds,
            options = _props.options;


        var optionsById = options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        if (!optionIds) return null;

        return React.createElement(
            OptionList,
            null,
            optionIds.map(function (id) {

                var option = optionsById[id];

                return React.createElement(Option, {
                    key: id,
                    id: id,
                    option: option
                });
            })
        );
    };

    return RecordListItem;
}(React.Component);

export { RecordListItem as default };