/*!
 * @cmds/multiple-select-field v0.9.0 - https://entercosmos.io
 * MIT Licensed
 */
(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory(require("react"));
	else if(typeof define === 'function' && define.amd)
		define(["react"], factory);
	else if(typeof exports === 'object')
		exports["MultipleSelectField"] = factory(require("react"));
	else
		root["MultipleSelectField"] = factory(root["React"]);
})(window, function(__WEBPACK_EXTERNAL_MODULE__0__) {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 16);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, exports) {

module.exports = __WEBPACK_EXTERNAL_MODULE__0__;

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// CONCATENATED MODULE: ./node_modules/@emotion/sheet/dist/sheet.browser.esm.js
/*

Based off glamor's StyleSheet, thanks Sunil ❤️

high performance StyleSheet for css-in-js systems

- uses multiple style tags behind the scenes for millions of rules
- uses `insertRule` for appending in production for *much* faster performance

// usage

import { StyleSheet } from '@emotion/sheet'

let styleSheet = new StyleSheet({ key: '', container: document.head })

styleSheet.insert('#box { border: 1px solid red; }')
- appends a css rule into the stylesheet

styleSheet.flush()
- empties the stylesheet of all its contents

*/
// $FlowFixMe
function sheetForTag(tag) {
  if (tag.sheet) {
    // $FlowFixMe
    return tag.sheet;
  } // this weirdness brought to you by firefox

  /* istanbul ignore next */


  for (var i = 0; i < document.styleSheets.length; i++) {
    if (document.styleSheets[i].ownerNode === tag) {
      // $FlowFixMe
      return document.styleSheets[i];
    }
  }
}

function createStyleElement(options) {
  var tag = document.createElement('style');
  tag.setAttribute('data-emotion', options.key);

  if (options.nonce !== undefined) {
    tag.setAttribute('nonce', options.nonce);
  }

  tag.appendChild(document.createTextNode(''));
  return tag;
}

var StyleSheet =
/*#__PURE__*/
function () {
  function StyleSheet(options) {
    this.isSpeedy = options.speedy === undefined ? "production" === 'production' : options.speedy;
    this.tags = [];
    this.ctr = 0;
    this.nonce = options.nonce; // key is the value of the data-emotion attribute, it's used to identify different sheets

    this.key = options.key;
    this.container = options.container;
    this.before = null;
  }

  var _proto = StyleSheet.prototype;

  _proto.insert = function insert(rule) {
    // the max length is how many rules we have per style tag, it's 65000 in speedy mode
    // it's 1 in dev because we insert source maps that map a single rule to a location
    // and you can only have one source map per style tag
    if (this.ctr % (this.isSpeedy ? 65000 : 1) === 0) {
      var _tag = createStyleElement(this);

      var before;

      if (this.tags.length === 0) {
        before = this.before;
      } else {
        before = this.tags[this.tags.length - 1].nextSibling;
      }

      this.container.insertBefore(_tag, before);
      this.tags.push(_tag);
    }

    var tag = this.tags[this.tags.length - 1];

    if (this.isSpeedy) {
      var sheet = sheetForTag(tag);

      try {
        // this is a really hot path
        // we check the second character first because having "i"
        // as the second character will happen less often than
        // having "@" as the first character
        var isImportRule = rule.charCodeAt(1) === 105 && rule.charCodeAt(0) === 64; // this is the ultrafast version, works across browsers
        // the big drawback is that the css won't be editable in devtools

        sheet.insertRule(rule, // we need to insert @import rules before anything else
        // otherwise there will be an error
        // technically this means that the @import rules will
        // _usually_(not always since there could be multiple style tags)
        // be the first ones in prod and generally later in dev
        // this shouldn't really matter in the real world though
        // @import is generally only used for font faces from google fonts and etc.
        // so while this could be technically correct then it would be slower and larger
        // for a tiny bit of correctness that won't matter in the real world
        isImportRule ? 0 : sheet.cssRules.length);
      } catch (e) {
        if (false) {}
      }
    } else {
      tag.appendChild(document.createTextNode(rule));
    }

    this.ctr++;
  };

  _proto.flush = function flush() {
    // $FlowFixMe
    this.tags.forEach(function (tag) {
      return tag.parentNode.removeChild(tag);
    });
    this.tags = [];
    this.ctr = 0;
  };

  return StyleSheet;
}();



// CONCATENATED MODULE: ./node_modules/@emotion/cache/node_modules/@emotion/stylis/dist/stylis.browser.esm.js
function stylis_min (W) {
  function M(d, c, e, h, a) {
    for (var m = 0, b = 0, v = 0, n = 0, q, g, x = 0, K = 0, k, u = k = q = 0, l = 0, r = 0, I = 0, t = 0, B = e.length, J = B - 1, y, f = '', p = '', F = '', G = '', C; l < B;) {
      g = e.charCodeAt(l);
      l === J && 0 !== b + n + v + m && (0 !== b && (g = 47 === b ? 10 : 47), n = v = m = 0, B++, J++);

      if (0 === b + n + v + m) {
        if (l === J && (0 < r && (f = f.replace(N, '')), 0 < f.trim().length)) {
          switch (g) {
            case 32:
            case 9:
            case 59:
            case 13:
            case 10:
              break;

            default:
              f += e.charAt(l);
          }

          g = 59;
        }

        switch (g) {
          case 123:
            f = f.trim();
            q = f.charCodeAt(0);
            k = 1;

            for (t = ++l; l < B;) {
              switch (g = e.charCodeAt(l)) {
                case 123:
                  k++;
                  break;

                case 125:
                  k--;
                  break;

                case 47:
                  switch (g = e.charCodeAt(l + 1)) {
                    case 42:
                    case 47:
                      a: {
                        for (u = l + 1; u < J; ++u) {
                          switch (e.charCodeAt(u)) {
                            case 47:
                              if (42 === g && 42 === e.charCodeAt(u - 1) && l + 2 !== u) {
                                l = u + 1;
                                break a;
                              }

                              break;

                            case 10:
                              if (47 === g) {
                                l = u + 1;
                                break a;
                              }

                          }
                        }

                        l = u;
                      }

                  }

                  break;

                case 91:
                  g++;

                case 40:
                  g++;

                case 34:
                case 39:
                  for (; l++ < J && e.charCodeAt(l) !== g;) {
                  }

              }

              if (0 === k) break;
              l++;
            }

            k = e.substring(t, l);
            0 === q && (q = (f = f.replace(ca, '').trim()).charCodeAt(0));

            switch (q) {
              case 64:
                0 < r && (f = f.replace(N, ''));
                g = f.charCodeAt(1);

                switch (g) {
                  case 100:
                  case 109:
                  case 115:
                  case 45:
                    r = c;
                    break;

                  default:
                    r = O;
                }

                k = M(c, r, k, g, a + 1);
                t = k.length;
                0 < A && (r = X(O, f, I), C = H(3, k, r, c, D, z, t, g, a, h), f = r.join(''), void 0 !== C && 0 === (t = (k = C.trim()).length) && (g = 0, k = ''));
                if (0 < t) switch (g) {
                  case 115:
                    f = f.replace(da, ea);

                  case 100:
                  case 109:
                  case 45:
                    k = f + '{' + k + '}';
                    break;

                  case 107:
                    f = f.replace(fa, '$1 $2');
                    k = f + '{' + k + '}';
                    k = 1 === w || 2 === w && L('@' + k, 3) ? '@-webkit-' + k + '@' + k : '@' + k;
                    break;

                  default:
                    k = f + k, 112 === h && (k = (p += k, ''));
                } else k = '';
                break;

              default:
                k = M(c, X(c, f, I), k, h, a + 1);
            }

            F += k;
            k = I = r = u = q = 0;
            f = '';
            g = e.charCodeAt(++l);
            break;

          case 125:
          case 59:
            f = (0 < r ? f.replace(N, '') : f).trim();
            if (1 < (t = f.length)) switch (0 === u && (q = f.charCodeAt(0), 45 === q || 96 < q && 123 > q) && (t = (f = f.replace(' ', ':')).length), 0 < A && void 0 !== (C = H(1, f, c, d, D, z, p.length, h, a, h)) && 0 === (t = (f = C.trim()).length) && (f = '\x00\x00'), q = f.charCodeAt(0), g = f.charCodeAt(1), q) {
              case 0:
                break;

              case 64:
                if (105 === g || 99 === g) {
                  G += f + e.charAt(l);
                  break;
                }

              default:
                58 !== f.charCodeAt(t - 1) && (p += P(f, q, g, f.charCodeAt(2)));
            }
            I = r = u = q = 0;
            f = '';
            g = e.charCodeAt(++l);
        }
      }

      switch (g) {
        case 13:
        case 10:
          47 === b ? b = 0 : 0 === 1 + q && 107 !== h && 0 < f.length && (r = 1, f += '\x00');
          0 < A * Y && H(0, f, c, d, D, z, p.length, h, a, h);
          z = 1;
          D++;
          break;

        case 59:
        case 125:
          if (0 === b + n + v + m) {
            z++;
            break;
          }

        default:
          z++;
          y = e.charAt(l);

          switch (g) {
            case 9:
            case 32:
              if (0 === n + m + b) switch (x) {
                case 44:
                case 58:
                case 9:
                case 32:
                  y = '';
                  break;

                default:
                  32 !== g && (y = ' ');
              }
              break;

            case 0:
              y = '\\0';
              break;

            case 12:
              y = '\\f';
              break;

            case 11:
              y = '\\v';
              break;

            case 38:
              0 === n + b + m && (r = I = 1, y = '\f' + y);
              break;

            case 108:
              if (0 === n + b + m + E && 0 < u) switch (l - u) {
                case 2:
                  112 === x && 58 === e.charCodeAt(l - 3) && (E = x);

                case 8:
                  111 === K && (E = K);
              }
              break;

            case 58:
              0 === n + b + m && (u = l);
              break;

            case 44:
              0 === b + v + n + m && (r = 1, y += '\r');
              break;

            case 34:
            case 39:
              0 === b && (n = n === g ? 0 : 0 === n ? g : n);
              break;

            case 91:
              0 === n + b + v && m++;
              break;

            case 93:
              0 === n + b + v && m--;
              break;

            case 41:
              0 === n + b + m && v--;
              break;

            case 40:
              if (0 === n + b + m) {
                if (0 === q) switch (2 * x + 3 * K) {
                  case 533:
                    break;

                  default:
                    q = 1;
                }
                v++;
              }

              break;

            case 64:
              0 === b + v + n + m + u + k && (k = 1);
              break;

            case 42:
            case 47:
              if (!(0 < n + m + v)) switch (b) {
                case 0:
                  switch (2 * g + 3 * e.charCodeAt(l + 1)) {
                    case 235:
                      b = 47;
                      break;

                    case 220:
                      t = l, b = 42;
                  }

                  break;

                case 42:
                  47 === g && 42 === x && t + 2 !== l && (33 === e.charCodeAt(t + 2) && (p += e.substring(t, l + 1)), y = '', b = 0);
              }
          }

          0 === b && (f += y);
      }

      K = x;
      x = g;
      l++;
    }

    t = p.length;

    if (0 < t) {
      r = c;
      if (0 < A && (C = H(2, p, r, d, D, z, t, h, a, h), void 0 !== C && 0 === (p = C).length)) return G + p + F;
      p = r.join(',') + '{' + p + '}';

      if (0 !== w * E) {
        2 !== w || L(p, 2) || (E = 0);

        switch (E) {
          case 111:
            p = p.replace(ha, ':-moz-$1') + p;
            break;

          case 112:
            p = p.replace(Q, '::-webkit-input-$1') + p.replace(Q, '::-moz-$1') + p.replace(Q, ':-ms-input-$1') + p;
        }

        E = 0;
      }
    }

    return G + p + F;
  }

  function X(d, c, e) {
    var h = c.trim().split(ia);
    c = h;
    var a = h.length,
        m = d.length;

    switch (m) {
      case 0:
      case 1:
        var b = 0;

        for (d = 0 === m ? '' : d[0] + ' '; b < a; ++b) {
          c[b] = Z(d, c[b], e, m).trim();
        }

        break;

      default:
        var v = b = 0;

        for (c = []; b < a; ++b) {
          for (var n = 0; n < m; ++n) {
            c[v++] = Z(d[n] + ' ', h[b], e, m).trim();
          }
        }

    }

    return c;
  }

  function Z(d, c, e) {
    var h = c.charCodeAt(0);
    33 > h && (h = (c = c.trim()).charCodeAt(0));

    switch (h) {
      case 38:
        return c.replace(F, '$1' + d.trim());

      case 58:
        return d.trim() + c.replace(F, '$1' + d.trim());

      default:
        if (0 < 1 * e && 0 < c.indexOf('\f')) return c.replace(F, (58 === d.charCodeAt(0) ? '' : '$1') + d.trim());
    }

    return d + c;
  }

  function P(d, c, e, h) {
    var a = d + ';',
        m = 2 * c + 3 * e + 4 * h;

    if (944 === m) {
      d = a.indexOf(':', 9) + 1;
      var b = a.substring(d, a.length - 1).trim();
      b = a.substring(0, d).trim() + b + ';';
      return 1 === w || 2 === w && L(b, 1) ? '-webkit-' + b + b : b;
    }

    if (0 === w || 2 === w && !L(a, 1)) return a;

    switch (m) {
      case 1015:
        return 97 === a.charCodeAt(10) ? '-webkit-' + a + a : a;

      case 951:
        return 116 === a.charCodeAt(3) ? '-webkit-' + a + a : a;

      case 963:
        return 110 === a.charCodeAt(5) ? '-webkit-' + a + a : a;

      case 1009:
        if (100 !== a.charCodeAt(4)) break;

      case 969:
      case 942:
        return '-webkit-' + a + a;

      case 978:
        return '-webkit-' + a + '-moz-' + a + a;

      case 1019:
      case 983:
        return '-webkit-' + a + '-moz-' + a + '-ms-' + a + a;

      case 883:
        if (45 === a.charCodeAt(8)) return '-webkit-' + a + a;
        if (0 < a.indexOf('image-set(', 11)) return a.replace(ja, '$1-webkit-$2') + a;
        break;

      case 932:
        if (45 === a.charCodeAt(4)) switch (a.charCodeAt(5)) {
          case 103:
            return '-webkit-box-' + a.replace('-grow', '') + '-webkit-' + a + '-ms-' + a.replace('grow', 'positive') + a;

          case 115:
            return '-webkit-' + a + '-ms-' + a.replace('shrink', 'negative') + a;

          case 98:
            return '-webkit-' + a + '-ms-' + a.replace('basis', 'preferred-size') + a;
        }
        return '-webkit-' + a + '-ms-' + a + a;

      case 964:
        return '-webkit-' + a + '-ms-flex-' + a + a;

      case 1023:
        if (99 !== a.charCodeAt(8)) break;
        b = a.substring(a.indexOf(':', 15)).replace('flex-', '').replace('space-between', 'justify');
        return '-webkit-box-pack' + b + '-webkit-' + a + '-ms-flex-pack' + b + a;

      case 1005:
        return ka.test(a) ? a.replace(aa, ':-webkit-') + a.replace(aa, ':-moz-') + a : a;

      case 1e3:
        b = a.substring(13).trim();
        c = b.indexOf('-') + 1;

        switch (b.charCodeAt(0) + b.charCodeAt(c)) {
          case 226:
            b = a.replace(G, 'tb');
            break;

          case 232:
            b = a.replace(G, 'tb-rl');
            break;

          case 220:
            b = a.replace(G, 'lr');
            break;

          default:
            return a;
        }

        return '-webkit-' + a + '-ms-' + b + a;

      case 1017:
        if (-1 === a.indexOf('sticky', 9)) break;

      case 975:
        c = (a = d).length - 10;
        b = (33 === a.charCodeAt(c) ? a.substring(0, c) : a).substring(d.indexOf(':', 7) + 1).trim();

        switch (m = b.charCodeAt(0) + (b.charCodeAt(7) | 0)) {
          case 203:
            if (111 > b.charCodeAt(8)) break;

          case 115:
            a = a.replace(b, '-webkit-' + b) + ';' + a;
            break;

          case 207:
          case 102:
            a = a.replace(b, '-webkit-' + (102 < m ? 'inline-' : '') + 'box') + ';' + a.replace(b, '-webkit-' + b) + ';' + a.replace(b, '-ms-' + b + 'box') + ';' + a;
        }

        return a + ';';

      case 938:
        if (45 === a.charCodeAt(5)) switch (a.charCodeAt(6)) {
          case 105:
            return b = a.replace('-items', ''), '-webkit-' + a + '-webkit-box-' + b + '-ms-flex-' + b + a;

          case 115:
            return '-webkit-' + a + '-ms-flex-item-' + a.replace(ba, '') + a;

          default:
            return '-webkit-' + a + '-ms-flex-line-pack' + a.replace('align-content', '').replace(ba, '') + a;
        }
        break;

      case 973:
      case 989:
        if (45 !== a.charCodeAt(3) || 122 === a.charCodeAt(4)) break;

      case 931:
      case 953:
        if (!0 === la.test(d)) return 115 === (b = d.substring(d.indexOf(':') + 1)).charCodeAt(0) ? P(d.replace('stretch', 'fill-available'), c, e, h).replace(':fill-available', ':stretch') : a.replace(b, '-webkit-' + b) + a.replace(b, '-moz-' + b.replace('fill-', '')) + a;
        break;

      case 962:
        if (a = '-webkit-' + a + (102 === a.charCodeAt(5) ? '-ms-' + a : '') + a, 211 === e + h && 105 === a.charCodeAt(13) && 0 < a.indexOf('transform', 10)) return a.substring(0, a.indexOf(';', 27) + 1).replace(ma, '$1-webkit-$2') + a;
    }

    return a;
  }

  function L(d, c) {
    var e = d.indexOf(1 === c ? ':' : '{'),
        h = d.substring(0, 3 !== c ? e : 10);
    e = d.substring(e + 1, d.length - 1);
    return R(2 !== c ? h : h.replace(na, '$1'), e, c);
  }

  function ea(d, c) {
    var e = P(c, c.charCodeAt(0), c.charCodeAt(1), c.charCodeAt(2));
    return e !== c + ';' ? e.replace(oa, ' or ($1)').substring(4) : '(' + c + ')';
  }

  function H(d, c, e, h, a, m, b, v, n, q) {
    for (var g = 0, x = c, w; g < A; ++g) {
      switch (w = S[g].call(B, d, x, e, h, a, m, b, v, n, q)) {
        case void 0:
        case !1:
        case !0:
        case null:
          break;

        default:
          x = w;
      }
    }

    if (x !== c) return x;
  }

  function T(d) {
    switch (d) {
      case void 0:
      case null:
        A = S.length = 0;
        break;

      default:
        if ('function' === typeof d) S[A++] = d;else if ('object' === typeof d) for (var c = 0, e = d.length; c < e; ++c) {
          T(d[c]);
        } else Y = !!d | 0;
    }

    return T;
  }

  function U(d) {
    d = d.prefix;
    void 0 !== d && (R = null, d ? 'function' !== typeof d ? w = 1 : (w = 2, R = d) : w = 0);
    return U;
  }

  function B(d, c) {
    var e = d;
    33 > e.charCodeAt(0) && (e = e.trim());
    V = e;
    e = [V];

    if (0 < A) {
      var h = H(-1, c, e, e, D, z, 0, 0, 0, 0);
      void 0 !== h && 'string' === typeof h && (c = h);
    }

    var a = M(O, e, c, 0, 0);
    0 < A && (h = H(-2, a, e, e, D, z, a.length, 0, 0, 0), void 0 !== h && (a = h));
    V = '';
    E = 0;
    z = D = 1;
    return a;
  }

  var ca = /^\0+/g,
      N = /[\0\r\f]/g,
      aa = /: */g,
      ka = /zoo|gra/,
      ma = /([,: ])(transform)/g,
      ia = /,\r+?/g,
      F = /([\t\r\n ])*\f?&/g,
      fa = /@(k\w+)\s*(\S*)\s*/,
      Q = /::(place)/g,
      ha = /:(read-only)/g,
      G = /[svh]\w+-[tblr]{2}/,
      da = /\(\s*(.*)\s*\)/g,
      oa = /([\s\S]*?);/g,
      ba = /-self|flex-/g,
      na = /[^]*?(:[rp][el]a[\w-]+)[^]*/,
      la = /stretch|:\s*\w+\-(?:conte|avail)/,
      ja = /([^-])(image-set\()/,
      z = 1,
      D = 1,
      E = 0,
      w = 1,
      O = [],
      S = [],
      A = 0,
      R = null,
      Y = 0,
      V = '';
  B.use = T;
  B.set = U;
  void 0 !== W && U(W);
  return B;
}

/* harmony default export */ var stylis_browser_esm = (stylis_min);

// CONCATENATED MODULE: ./node_modules/@emotion/weak-memoize/dist/weak-memoize.browser.esm.js
var weakMemoize = function weakMemoize(func) {
  // $FlowFixMe flow doesn't include all non-primitive types as allowed for weakmaps
  var cache = new WeakMap();
  return function (arg) {
    if (cache.has(arg)) {
      // $FlowFixMe
      return cache.get(arg);
    }

    var ret = func(arg);
    cache.set(arg, ret);
    return ret;
  };
};

/* harmony default export */ var weak_memoize_browser_esm = (weakMemoize);

// CONCATENATED MODULE: ./node_modules/@emotion/cache/dist/cache.browser.esm.js




// https://github.com/thysultan/stylis.js/tree/master/plugins/rule-sheet
// inlined to avoid umd wrapper and peerDep warnings/installing stylis
// since we use stylis after closure compiler
var delimiter = '/*|*/';
var needle = delimiter + '}';

function toSheet(block) {
  if (block) {
    Sheet.current.insert(block + '}');
  }
}

var Sheet = {
  current: null
};
var ruleSheet = function ruleSheet(context, content, selectors, parents, line, column, length, ns, depth, at) {
  switch (context) {
    // property
    case 1:
      {
        switch (content.charCodeAt(0)) {
          case 64:
            {
              // @import
              Sheet.current.insert(content + ';');
              return '';
            }
          // charcode for l

          case 108:
            {
              // charcode for b
              // this ignores label
              if (content.charCodeAt(2) === 98) {
                return '';
              }
            }
        }

        break;
      }
    // selector

    case 2:
      {
        if (ns === 0) return content + delimiter;
        break;
      }
    // at-rule

    case 3:
      {
        switch (ns) {
          // @font-face, @page
          case 102:
          case 112:
            {
              Sheet.current.insert(selectors[0] + content);
              return '';
            }

          default:
            {
              return content + (at === 0 ? delimiter : '');
            }
        }
      }

    case -2:
      {
        content.split(needle).forEach(toSheet);
      }
  }
};

var cache_browser_esm_createCache = function createCache(options) {
  if (options === undefined) options = {};
  var key = options.key || 'css';
  var stylisOptions;

  if (options.prefix !== undefined) {
    stylisOptions = {
      prefix: options.prefix
    };
  }

  var stylis = new stylis_browser_esm(stylisOptions);

  if (false) {}

  var inserted = {}; // $FlowFixMe

  var container;

  {
    container = options.container || document.head;
    var nodes = document.querySelectorAll("style[data-emotion-" + key + "]");
    Array.prototype.forEach.call(nodes, function (node) {
      var attrib = node.getAttribute("data-emotion-" + key); // $FlowFixMe

      attrib.split(' ').forEach(function (id) {
        inserted[id] = true;
      });

      if (node.parentNode !== container) {
        container.appendChild(node);
      }
    });
  }

  var _insert;

  {
    stylis.use(options.stylisPlugins)(ruleSheet);

    _insert = function insert(selector, serialized, sheet, shouldCache) {
      var name = serialized.name;
      Sheet.current = sheet;

      if (false) { var map; }

      stylis(selector, serialized.styles);

      if (shouldCache) {
        cache.inserted[name] = true;
      }
    };
  }

  if (false) { var commentEnd, commentStart; }

  var cache = {
    key: key,
    sheet: new StyleSheet({
      key: key,
      container: container,
      nonce: options.nonce,
      speedy: options.speedy
    }),
    nonce: options.nonce,
    inserted: inserted,
    registered: {},
    insert: _insert
  };
  return cache;
};

/* harmony default export */ var cache_browser_esm = (cache_browser_esm_createCache);

// CONCATENATED MODULE: ./node_modules/@emotion/serialize/node_modules/@emotion/hash/dist/hash.browser.esm.js
/* eslint-disable */
// murmurhash2 via https://github.com/garycourt/murmurhash-js/blob/master/murmurhash2_gc.js
function murmurhash2_32_gc(str) {
  var l = str.length,
      h = l ^ l,
      i = 0,
      k;

  while (l >= 4) {
    k = str.charCodeAt(i) & 0xff | (str.charCodeAt(++i) & 0xff) << 8 | (str.charCodeAt(++i) & 0xff) << 16 | (str.charCodeAt(++i) & 0xff) << 24;
    k = (k & 0xffff) * 0x5bd1e995 + (((k >>> 16) * 0x5bd1e995 & 0xffff) << 16);
    k ^= k >>> 24;
    k = (k & 0xffff) * 0x5bd1e995 + (((k >>> 16) * 0x5bd1e995 & 0xffff) << 16);
    h = (h & 0xffff) * 0x5bd1e995 + (((h >>> 16) * 0x5bd1e995 & 0xffff) << 16) ^ k;
    l -= 4;
    ++i;
  }

  switch (l) {
    case 3:
      h ^= (str.charCodeAt(i + 2) & 0xff) << 16;

    case 2:
      h ^= (str.charCodeAt(i + 1) & 0xff) << 8;

    case 1:
      h ^= str.charCodeAt(i) & 0xff;
      h = (h & 0xffff) * 0x5bd1e995 + (((h >>> 16) * 0x5bd1e995 & 0xffff) << 16);
  }

  h ^= h >>> 13;
  h = (h & 0xffff) * 0x5bd1e995 + (((h >>> 16) * 0x5bd1e995 & 0xffff) << 16);
  h ^= h >>> 15;
  return (h >>> 0).toString(36);
}

/* harmony default export */ var hash_browser_esm = (murmurhash2_32_gc);

// CONCATENATED MODULE: ./node_modules/@emotion/serialize/node_modules/@emotion/unitless/dist/unitless.browser.esm.js
var unitlessKeys = {
  animationIterationCount: 1,
  borderImageOutset: 1,
  borderImageSlice: 1,
  borderImageWidth: 1,
  boxFlex: 1,
  boxFlexGroup: 1,
  boxOrdinalGroup: 1,
  columnCount: 1,
  columns: 1,
  flex: 1,
  flexGrow: 1,
  flexPositive: 1,
  flexShrink: 1,
  flexNegative: 1,
  flexOrder: 1,
  gridRow: 1,
  gridRowEnd: 1,
  gridRowSpan: 1,
  gridRowStart: 1,
  gridColumn: 1,
  gridColumnEnd: 1,
  gridColumnSpan: 1,
  gridColumnStart: 1,
  msGridRow: 1,
  msGridRowSpan: 1,
  msGridColumn: 1,
  msGridColumnSpan: 1,
  fontWeight: 1,
  lineHeight: 1,
  opacity: 1,
  order: 1,
  orphans: 1,
  tabSize: 1,
  widows: 1,
  zIndex: 1,
  zoom: 1,
  WebkitLineClamp: 1,
  // SVG-related properties
  fillOpacity: 1,
  floodOpacity: 1,
  stopOpacity: 1,
  strokeDasharray: 1,
  strokeDashoffset: 1,
  strokeMiterlimit: 1,
  strokeOpacity: 1,
  strokeWidth: 1
};

/* harmony default export */ var unitless_browser_esm = (unitlessKeys);

// CONCATENATED MODULE: ./node_modules/@emotion/serialize/node_modules/@emotion/memoize/dist/memoize.browser.esm.js
function memoize(fn) {
  var cache = {};
  return function (arg) {
    if (cache[arg] === undefined) cache[arg] = fn(arg);
    return cache[arg];
  };
}

/* harmony default export */ var memoize_browser_esm = (memoize);

// CONCATENATED MODULE: ./node_modules/@emotion/serialize/dist/serialize.browser.esm.js




var hyphenateRegex = /[A-Z]|^ms/g;
var animationRegex = /_EMO_([^_]+?)_([^]*?)_EMO_/g;
var processStyleName = memoize_browser_esm(function (styleName) {
  return styleName.replace(hyphenateRegex, '-$&').toLowerCase();
});

var serialize_browser_esm_processStyleValue = function processStyleValue(key, value) {
  if (value == null || typeof value === 'boolean') {
    return '';
  }

  switch (key) {
    case 'animation':
    case 'animationName':
      {
        if (typeof value === 'string') {
          value = value.replace(animationRegex, function (match, p1, p2) {
            cursor = {
              name: p1,
              styles: p2,
              next: cursor
            };
            return p1;
          });
        }
      }
  }

  if (unitless_browser_esm[key] !== 1 && key.charCodeAt(1) !== 45 && // custom properties
  typeof value === 'number' && value !== 0) {
    return value + 'px';
  }

  return value;
};

if (false) { var hyphenatedCache, hyphenPattern, msPattern, oldProcessStyleValue, contentValues, contentValuePattern; }

var shouldWarnAboutInterpolatingClassNameFromCss = true;

function handleInterpolation(mergedProps, registered, interpolation, couldBeSelectorInterpolation) {
  if (interpolation == null) {
    return '';
  }

  if (interpolation.__emotion_styles !== undefined) {
    if (false) {}

    return interpolation;
  }

  switch (typeof interpolation) {
    case 'boolean':
      {
        return '';
      }

    case 'object':
      {
        if (interpolation.anim === 1) {
          cursor = {
            name: interpolation.name,
            styles: interpolation.styles,
            next: cursor
          };
          return interpolation.name;
        }

        if (interpolation.styles !== undefined) {
          var next = interpolation.next;

          if (next !== undefined) {
            // not the most efficient thing ever but this is a pretty rare case
            // and there will be very few iterations of this generally
            while (next !== undefined) {
              cursor = {
                name: next.name,
                styles: next.styles,
                next: cursor
              };
              next = next.next;
            }
          }

          var styles = interpolation.styles;

          if (false) {}

          return styles;
        }

        return createStringFromObject(mergedProps, registered, interpolation);
      }

    case 'function':
      {
        if (mergedProps !== undefined) {
          var previousCursor = cursor;
          var result = interpolation(mergedProps);
          cursor = previousCursor;
          return handleInterpolation(mergedProps, registered, result, couldBeSelectorInterpolation);
        } else if (false) {}
      }
    // eslint-disable-next-line no-fallthrough

    default:
      {
        if (registered == null) {
          return interpolation;
        }

        var cached = registered[interpolation];

        if (false) {}

        return cached !== undefined && !couldBeSelectorInterpolation ? cached : interpolation;
      }
  }
}

function createStringFromObject(mergedProps, registered, obj) {
  var string = '';

  if (Array.isArray(obj)) {
    for (var i = 0; i < obj.length; i++) {
      string += handleInterpolation(mergedProps, registered, obj[i], false);
    }
  } else {
    for (var _key in obj) {
      var value = obj[_key];

      if (typeof value !== 'object') {
        if (registered != null && registered[value] !== undefined) {
          string += _key + "{" + registered[value] + "}";
        } else {
          string += processStyleName(_key) + ":" + serialize_browser_esm_processStyleValue(_key, value) + ";";
        }
      } else {
        if (_key === 'NO_COMPONENT_SELECTOR' && "production" !== 'production') {
          throw new Error('Component selectors can only be used in conjunction with babel-plugin-emotion.');
        }

        if (Array.isArray(value) && typeof value[0] === 'string' && (registered == null || registered[value[0]] === undefined)) {
          for (var _i = 0; _i < value.length; _i++) {
            string += processStyleName(_key) + ":" + serialize_browser_esm_processStyleValue(_key, value[_i]) + ";";
          }
        } else {
          string += _key + "{" + handleInterpolation(mergedProps, registered, value, false) + "}";
        }
      }
    }
  }

  return string;
}

var labelPattern = /label:\s*([^\s;\n{]+)\s*;/g;
var sourceMapPattern;

if (false) {} // this is the cursor for keyframes
// keyframes are stored on the SerializedStyles object as a linked list


var cursor;
var serialize_browser_esm_serializeStyles = function serializeStyles(args, registered, mergedProps) {
  if (args.length === 1 && typeof args[0] === 'object' && args[0] !== null && args[0].styles !== undefined) {
    return args[0];
  }

  var stringMode = true;
  var styles = '';
  cursor = undefined;
  var strings = args[0];

  if (strings == null || strings.raw === undefined) {
    stringMode = false;
    styles += handleInterpolation(mergedProps, registered, strings, false);
  } else {
    styles += strings[0];
  } // we start at 1 since we've already handled the first arg


  for (var i = 1; i < args.length; i++) {
    styles += handleInterpolation(mergedProps, registered, args[i], styles.charCodeAt(styles.length - 1) === 46);

    if (stringMode) {
      styles += strings[i];
    }
  }

  var sourceMap;

  if (false) {} // using a global regex with .exec is stateful so lastIndex has to be reset each time


  labelPattern.lastIndex = 0;
  var identifierName = '';
  var match; // https://esbench.com/bench/5b809c2cf2949800a0f61fb5

  while ((match = labelPattern.exec(styles)) !== null) {
    identifierName += '-' + // $FlowFixMe we know it's not null
    match[1];
  }

  var name = hash_browser_esm(styles) + identifierName;

  if (false) {}

  return {
    name: name,
    styles: styles,
    next: cursor
  };
};



// CONCATENATED MODULE: ./node_modules/@emotion/utils/dist/utils.browser.esm.js
var isBrowser = "object" !== 'undefined';
function getRegisteredStyles(registered, registeredStyles, classNames) {
  var rawClassName = '';
  classNames.split(' ').forEach(function (className) {
    if (registered[className] !== undefined) {
      registeredStyles.push(registered[className]);
    } else {
      rawClassName += className + " ";
    }
  });
  return rawClassName;
}
var insertStyles = function insertStyles(cache, serialized, isStringTag) {
  var className = cache.key + "-" + serialized.name;

  if ( // we only need to add the styles to the registered cache if the
  // class name could be used further down
  // the tree but if it's a string tag, we know it won't
  // so we don't have to add it to registered cache.
  // this improves memory usage since we can avoid storing the whole style string
  (isStringTag === false || // we need to always store it if we're in compat mode and
  // in node since emotion-server relies on whether a style is in
  // the registered cache to know whether a style is global or not
  // also, note that this check will be dead code eliminated in the browser
  isBrowser === false && cache.compat !== undefined) && cache.registered[className] === undefined) {
    cache.registered[className] = serialized.styles;
  }

  if (cache.inserted[serialized.name] === undefined) {
    var current = serialized;

    do {
      var maybeStyles = cache.insert("." + className, current, cache.sheet, true);

      current = current.next;
    } while (current !== undefined);
  }
};



// CONCATENATED MODULE: ./node_modules/create-emotion/dist/create-emotion.browser.esm.js




function insertWithoutScoping(cache, serialized) {
  if (cache.inserted[serialized.name] === undefined) {
    return cache.insert('', serialized, cache.sheet, true);
  }
}

function merge(registered, css, className) {
  var registeredStyles = [];
  var rawClassName = getRegisteredStyles(registered, registeredStyles, className);

  if (registeredStyles.length < 2) {
    return className;
  }

  return rawClassName + css(registeredStyles);
}

var create_emotion_browser_esm_createEmotion = function createEmotion(options) {
  var cache = cache_browser_esm(options); // $FlowFixMe

  cache.sheet.speedy = function (value) {
    if (false) {}

    this.isSpeedy = value;
  };

  cache.compat = true;

  var css = function css() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    var serialized = serialize_browser_esm_serializeStyles(args, cache.registered, this !== undefined ? this.mergedProps : undefined);
    insertStyles(cache, serialized, false);
    return cache.key + "-" + serialized.name;
  };

  var keyframes = function keyframes() {
    for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    var serialized = serialize_browser_esm_serializeStyles(args, cache.registered);
    var animation = "animation-" + serialized.name;
    insertWithoutScoping(cache, {
      name: serialized.name,
      styles: "@keyframes " + animation + "{" + serialized.styles + "}"
    });
    return animation;
  };

  var injectGlobal = function injectGlobal() {
    for (var _len3 = arguments.length, args = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      args[_key3] = arguments[_key3];
    }

    var serialized = serialize_browser_esm_serializeStyles(args, cache.registered);
    insertWithoutScoping(cache, serialized);
  };

  var cx = function cx() {
    for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      args[_key4] = arguments[_key4];
    }

    return merge(cache.registered, css, classnames(args));
  };

  return {
    css: css,
    cx: cx,
    injectGlobal: injectGlobal,
    keyframes: keyframes,
    hydrate: function hydrate(ids) {
      ids.forEach(function (key) {
        cache.inserted[key] = true;
      });
    },
    flush: function flush() {
      cache.registered = {};
      cache.inserted = {};
      cache.sheet.flush();
    },
    // $FlowFixMe
    sheet: cache.sheet,
    cache: cache,
    getRegisteredStyles: getRegisteredStyles.bind(null, cache.registered),
    merge: merge.bind(null, cache.registered, css)
  };
};

var classnames = function classnames(args) {
  var cls = '';

  for (var i = 0; i < args.length; i++) {
    var arg = args[i];
    if (arg == null) continue;
    var toAdd = void 0;

    switch (typeof arg) {
      case 'boolean':
        break;

      case 'object':
        {
          if (Array.isArray(arg)) {
            toAdd = classnames(arg);
          } else {
            toAdd = '';

            for (var k in arg) {
              if (arg[k] && k) {
                toAdd && (toAdd += ' ');
                toAdd += k;
              }
            }
          }

          break;
        }

      default:
        {
          toAdd = arg;
        }
    }

    if (toAdd) {
      cls && (cls += ' ');
      cls += toAdd;
    }
  }

  return cls;
};

/* harmony default export */ var create_emotion_browser_esm = (create_emotion_browser_esm_createEmotion);

// CONCATENATED MODULE: ./node_modules/emotion/dist/emotion.esm.js
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "flush", function() { return flush; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "hydrate", function() { return hydrate; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "cx", function() { return emotion_esm_cx; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "merge", function() { return emotion_esm_merge; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "getRegisteredStyles", function() { return emotion_esm_getRegisteredStyles; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "injectGlobal", function() { return emotion_esm_injectGlobal; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "keyframes", function() { return emotion_esm_keyframes; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "css", function() { return emotion_esm_css; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "sheet", function() { return sheet; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "cache", function() { return emotion_esm_cache; });


var _createEmotion = create_emotion_browser_esm(),
    flush = _createEmotion.flush,
    hydrate = _createEmotion.hydrate,
    emotion_esm_cx = _createEmotion.cx,
    emotion_esm_merge = _createEmotion.merge,
    emotion_esm_getRegisteredStyles = _createEmotion.getRegisteredStyles,
    emotion_esm_injectGlobal = _createEmotion.injectGlobal,
    emotion_esm_keyframes = _createEmotion.keyframes,
    emotion_esm_css = _createEmotion.css,
    sheet = _createEmotion.sheet,
    emotion_esm_cache = _createEmotion.cache;




/***/ }),
/* 2 */
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

if (false) { var throwOnDirectAccess, ReactIs; } else {
  // By explicitly using `prop-types` you are opting into new production behavior.
  // http://fb.me/prop-types-in-prod
  module.exports = __webpack_require__(17)();
}


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

var baseGet = __webpack_require__(24);

/**
 * Gets the value at `path` of `object`. If the resolved value is
 * `undefined`, the `defaultValue` is returned in its place.
 *
 * @static
 * @memberOf _
 * @since 3.7.0
 * @category Object
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the property to get.
 * @param {*} [defaultValue] The value returned for `undefined` resolved values.
 * @returns {*} Returns the resolved value.
 * @example
 *
 * var object = { 'a': [{ 'b': { 'c': 3 } }] };
 *
 * _.get(object, 'a[0].b.c');
 * // => 3
 *
 * _.get(object, ['a', '0', 'b', 'c']);
 * // => 3
 *
 * _.get(object, 'a.b.c', 'default');
 * // => 'default'
 */
function get(object, path, defaultValue) {
  var result = object == null ? undefined : baseGet(object, path);
  return result === undefined ? defaultValue : result;
}

module.exports = get;


/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

var getNative = __webpack_require__(12);

/* Built-in method references that are verified to be native. */
var nativeCreate = getNative(Object, 'create');

module.exports = nativeCreate;


/***/ }),
/* 5 */
/***/ (function(module, exports, __webpack_require__) {

var eq = __webpack_require__(52);

/**
 * Gets the index at which the `key` is found in `array` of key-value pairs.
 *
 * @private
 * @param {Array} array The array to inspect.
 * @param {*} key The key to search for.
 * @returns {number} Returns the index of the matched value, else `-1`.
 */
function assocIndexOf(array, key) {
  var length = array.length;
  while (length--) {
    if (eq(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}

module.exports = assocIndexOf;


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

var isKeyable = __webpack_require__(58);

/**
 * Gets the data for `map`.
 *
 * @private
 * @param {Object} map The map to query.
 * @param {string} key The reference key.
 * @returns {*} Returns the map data.
 */
function getMapData(map, key) {
  var data = map.__data__;
  return isKeyable(key)
    ? data[typeof key == 'string' ? 'string' : 'hash']
    : data.map;
}

module.exports = getMapData;


/***/ }),
/* 7 */
/***/ (function(module, exports) {

/**
 * Checks if `value` is classified as an `Array` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an array, else `false`.
 * @example
 *
 * _.isArray([1, 2, 3]);
 * // => true
 *
 * _.isArray(document.body.children);
 * // => false
 *
 * _.isArray('abc');
 * // => false
 *
 * _.isArray(_.noop);
 * // => false
 */
var isArray = Array.isArray;

module.exports = isArray;


/***/ }),
/* 8 */
/***/ (function(module, exports, __webpack_require__) {

var baseGetTag = __webpack_require__(11),
    isObjectLike = __webpack_require__(31);

/** `Object#toString` result references. */
var symbolTag = '[object Symbol]';

/**
 * Checks if `value` is classified as a `Symbol` primitive or object.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a symbol, else `false`.
 * @example
 *
 * _.isSymbol(Symbol.iterator);
 * // => true
 *
 * _.isSymbol('abc');
 * // => false
 */
function isSymbol(value) {
  return typeof value == 'symbol' ||
    (isObjectLike(value) && baseGetTag(value) == symbolTag);
}

module.exports = isSymbol;


/***/ }),
/* 9 */
/***/ (function(module, exports, __webpack_require__) {

var root = __webpack_require__(10);

/** Built-in value references. */
var Symbol = root.Symbol;

module.exports = Symbol;


/***/ }),
/* 10 */
/***/ (function(module, exports, __webpack_require__) {

var freeGlobal = __webpack_require__(27);

/** Detect free variable `self`. */
var freeSelf = typeof self == 'object' && self && self.Object === Object && self;

/** Used as a reference to the global object. */
var root = freeGlobal || freeSelf || Function('return this')();

module.exports = root;


/***/ }),
/* 11 */
/***/ (function(module, exports, __webpack_require__) {

var Symbol = __webpack_require__(9),
    getRawTag = __webpack_require__(29),
    objectToString = __webpack_require__(30);

/** `Object#toString` result references. */
var nullTag = '[object Null]',
    undefinedTag = '[object Undefined]';

/** Built-in value references. */
var symToStringTag = Symbol ? Symbol.toStringTag : undefined;

/**
 * The base implementation of `getTag` without fallbacks for buggy environments.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the `toStringTag`.
 */
function baseGetTag(value) {
  if (value == null) {
    return value === undefined ? undefinedTag : nullTag;
  }
  return (symToStringTag && symToStringTag in Object(value))
    ? getRawTag(value)
    : objectToString(value);
}

module.exports = baseGetTag;


/***/ }),
/* 12 */
/***/ (function(module, exports, __webpack_require__) {

var baseIsNative = __webpack_require__(39),
    getValue = __webpack_require__(44);

/**
 * Gets the native function at `key` of `object`.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {string} key The key of the method to get.
 * @returns {*} Returns the function if it's native, else `undefined`.
 */
function getNative(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : undefined;
}

module.exports = getNative;


/***/ }),
/* 13 */
/***/ (function(module, exports) {

/**
 * Checks if `value` is the
 * [language type](http://www.ecma-international.org/ecma-262/7.0/#sec-ecmascript-language-types)
 * of `Object`. (e.g. arrays, functions, objects, regexes, `new Number(0)`, and `new String('')`)
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is an object, else `false`.
 * @example
 *
 * _.isObject({});
 * // => true
 *
 * _.isObject([1, 2, 3]);
 * // => true
 *
 * _.isObject(_.noop);
 * // => true
 *
 * _.isObject(null);
 * // => false
 */
function isObject(value) {
  var type = typeof value;
  return value != null && (type == 'object' || type == 'function');
}

module.exports = isObject;


/***/ }),
/* 14 */
/***/ (function(module) {

module.exports = {"silver.lighter":{"id":"silver.lighter","hasDarkText":true,"name":"Lighter","value":"#F9FAFB","backgroundColor":"rgb(249, 250, 251)","color":"rgb(22, 29, 37)"},"silver.light":{"id":"silver.light","hasDarkText":true,"name":"Light","value":"#F4F6F8","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"silver.base":{"id":"silver.base","hasDarkText":true,"name":"Silver","value":"#DFE3E8","backgroundColor":"rgb(223, 227, 232)","color":"rgb(22, 29, 37)"},"silver.dark":{"id":"silver.dark","hasDarkText":true,"name":"Dark","value":"#C4CDD5","backgroundColor":"rgb(196, 205, 213)","color":"rgb(22, 29, 37)"},"charcoal.lightest":{"id":"charcoal.lightest","hasDarkText":true,"name":"Lightest","value":"#919EAB","backgroundColor":"rgb(145, 158, 171)","color":"rgb(22, 29, 37)"},"charcoal.lighter":{"id":"charcoal.lighter","hasDarkText":false,"name":"Lighter","value":"#637381","backgroundColor":"rgb(99, 115, 129)","color":"rgb(255, 255, 255)"},"charcoal.light":{"id":"charcoal.light","hasDarkText":false,"name":"Light","value":"#454F5B","backgroundColor":"rgb(69, 79, 91)","color":"rgb(255, 255, 255)"},"charcoal.base":{"id":"charcoal.base","hasDarkText":false,"name":"Charcoal","value":"#212B36","backgroundColor":"rgb(33, 43, 54)","color":"rgb(255, 255, 255)"},"galaxy.light":{"id":"galaxy.light","hasDarkText":true,"name":"Light","value":"#B3B5CB","backgroundColor":"rgb(179, 181, 203)","color":"rgb(22, 29, 37)"},"galaxy.base":{"id":"galaxy.base","hasDarkText":false,"name":"Galaxy","value":"#43467F","backgroundColor":"rgb(67, 70, 127)","color":"rgb(255, 255, 255)"},"galaxy.dark":{"id":"galaxy.dark","hasDarkText":false,"name":"Dark","value":"#1C2260","backgroundColor":"rgb(28, 34, 96)","color":"rgb(255, 255, 255)"},"galaxy.darker":{"id":"galaxy.darker","hasDarkText":false,"name":"Darker","value":"#00044C","backgroundColor":"rgb(0, 4, 76)","color":"rgb(255, 255, 255)"},"purple.lighter":{"id":"purple.lighter","hasDarkText":true,"name":"Lighter","value":"#F6F0FD","backgroundColor":"rgb(246, 240, 253)","color":"rgb(22, 29, 37)"},"purple.light":{"id":"purple.light","hasDarkText":true,"name":"Light","value":"#E3D0FF","backgroundColor":"rgb(227, 208, 255)","color":"rgb(22, 29, 37)"},"purple.base":{"id":"purple.base","hasDarkText":false,"name":"Purple","value":"#9C6ADE","backgroundColor":"rgb(156, 106, 222)","color":"rgb(255, 255, 255)"},"purple.dark":{"id":"purple.dark","hasDarkText":false,"name":"Dark","value":"#50248F","backgroundColor":"rgb(80, 36, 143)","color":"rgb(255, 255, 255)"},"purple.darker":{"id":"purple.darker","hasDarkText":false,"name":"Darker","value":"#230051","backgroundColor":"rgb(35, 0, 81)","color":"rgb(255, 255, 255)"},"purple.text":{"id":"purple.text","hasDarkText":true,"name":"Text","value":"#50495A","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"indigo.lighter":{"id":"indigo.lighter","hasDarkText":true,"name":"Lighter","value":"#F4F5FA","backgroundColor":"rgb(244, 245, 250)","color":"rgb(22, 29, 37)"},"indigo.light":{"id":"indigo.light","hasDarkText":true,"name":"Light","value":"#B3BCF5","backgroundColor":"rgb(179, 188, 245)","color":"rgb(22, 29, 37)"},"indigo.base":{"id":"indigo.base","hasDarkText":false,"name":"Indigo","value":"#5C6AC4","backgroundColor":"rgb(92, 106, 196)","color":"rgb(255, 255, 255)"},"indigo.dark":{"id":"indigo.dark","hasDarkText":false,"name":"Dark","value":"#202E78","backgroundColor":"rgb(32, 46, 120)","color":"rgb(255, 255, 255)"},"indigo.darker":{"id":"indigo.darker","hasDarkText":false,"name":"Darker","value":"#000639","backgroundColor":"rgb(0, 6, 57)","color":"rgb(255, 255, 255)"},"indigo.text":{"id":"indigo.text","hasDarkText":true,"name":"Text","value":"#3E4155","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"blue.lighter":{"id":"blue.lighter","hasDarkText":true,"name":"Lighter","value":"#EBF5FA","backgroundColor":"rgb(235, 245, 250)","color":"rgb(22, 29, 37)"},"blue.light":{"id":"blue.light","hasDarkText":true,"name":"Light","value":"#B4E1FA","backgroundColor":"rgb(180, 225, 250)","color":"rgb(22, 29, 37)"},"blue.base":{"id":"blue.base","hasDarkText":false,"name":"Blue","value":"#007ACE","backgroundColor":"rgb(0, 122, 206)","color":"rgb(255, 255, 255)"},"blue.dark":{"id":"blue.dark","hasDarkText":false,"name":"Dark","value":"#084E8A","backgroundColor":"rgb(8, 78, 138)","color":"rgb(255, 255, 255)"},"blue.darker":{"id":"blue.darker","hasDarkText":false,"name":"Darker","value":"#001429","backgroundColor":"rgb(0, 20, 41)","color":"rgb(255, 255, 255)"},"blue.text":{"id":"blue.text","hasDarkText":true,"name":"Text","value":"#3E4E57","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"teal.lighter":{"id":"teal.lighter","hasDarkText":true,"name":"Lighter","value":"#E0F5F5","backgroundColor":"rgb(224, 245, 245)","color":"rgb(22, 29, 37)"},"teal.light":{"id":"teal.light","hasDarkText":true,"name":"Light","value":"#B7ECEC","backgroundColor":"rgb(183, 236, 236)","color":"rgb(22, 29, 37)"},"teal.base":{"id":"teal.base","hasDarkText":true,"name":"Teal","value":"#47C1BF","backgroundColor":"rgb(71, 193, 191)","color":"rgb(22, 29, 37)"},"teal.dark":{"id":"teal.dark","hasDarkText":false,"name":"Dark","value":"#00848E","backgroundColor":"rgb(0, 132, 142)","color":"rgb(255, 255, 255)"},"teal.darker":{"id":"teal.darker","hasDarkText":false,"name":"Darker","value":"#003135","backgroundColor":"rgb(0, 49, 53)","color":"rgb(255, 255, 255)"},"teal.text":{"id":"teal.text","hasDarkText":true,"name":"Text","value":"#405352","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"green.lighter":{"id":"green.lighter","hasDarkText":true,"name":"Lighter","value":"#E3F1DF","backgroundColor":"rgb(227, 241, 223)","color":"rgb(22, 29, 37)"},"green.light":{"id":"green.light","hasDarkText":true,"name":"Light","value":"#BBE5B3","backgroundColor":"rgb(187, 229, 179)","color":"rgb(22, 29, 37)"},"green.base":{"id":"green.base","hasDarkText":true,"name":"Green","value":"#50B83C","backgroundColor":"rgb(80, 184, 60)","color":"rgb(22, 29, 37)"},"green.dark":{"id":"green.dark","hasDarkText":false,"name":"Dark","value":"#108043","backgroundColor":"rgb(16, 128, 67)","color":"rgb(255, 255, 255)"},"green.darker":{"id":"green.darker","hasDarkText":false,"name":"Darker","value":"#173630","backgroundColor":"rgb(23, 54, 48)","color":"rgb(255, 255, 255)"},"green.text":{"id":"green.text","hasDarkText":true,"name":"Text","value":"#414F3E","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"yellow.lighter":{"id":"yellow.lighter","hasDarkText":true,"name":"Lighter","value":"#FCF1CD","backgroundColor":"rgb(252, 241, 205)","color":"rgb(22, 29, 37)"},"yellow.light":{"id":"yellow.light","hasDarkText":true,"name":"Light","value":"#FFEA8A","backgroundColor":"rgb(255, 234, 138)","color":"rgb(22, 29, 37)"},"yellow.base":{"id":"yellow.base","hasDarkText":true,"name":"Yellow","value":"#EEC200","backgroundColor":"rgb(238, 194, 0)","color":"rgb(22, 29, 37)"},"yellow.dark":{"id":"yellow.dark","hasDarkText":false,"name":"Dark","value":"#9C6F19","backgroundColor":"rgb(156, 111, 25)","color":"rgb(255, 255, 255)"},"yellow.darker":{"id":"yellow.darker","hasDarkText":false,"name":"Darker","value":"#573B00","backgroundColor":"rgb(87, 59, 0)","color":"rgb(255, 255, 255)"},"yellow.text":{"id":"yellow.text","hasDarkText":true,"name":"Text","value":"#595130","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"orange.lighter":{"id":"orange.lighter","hasDarkText":true,"name":"Lighter","value":"#FCEBDB","backgroundColor":"rgb(252, 235, 219)","color":"rgb(22, 29, 37)"},"orange.light":{"id":"orange.light","hasDarkText":true,"name":"Light","value":"#FFC58B","backgroundColor":"rgb(255, 197, 139)","color":"rgb(22, 29, 37)"},"orange.base":{"id":"orange.base","hasDarkText":true,"name":"Orange","value":"#F49342","backgroundColor":"rgb(244, 147, 66)","color":"rgb(22, 29, 37)"},"orange.dark":{"id":"orange.dark","hasDarkText":false,"name":"Dark","value":"#C05717","backgroundColor":"rgb(192, 87, 23)","color":"rgb(255, 255, 255)"},"orange.darker":{"id":"orange.darker","hasDarkText":false,"name":"Darker","value":"#4A1504","backgroundColor":"rgb(74, 21, 4)","color":"rgb(255, 255, 255)"},"orange.text":{"id":"orange.text","hasDarkText":true,"name":"Text","value":"#594430","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"},"red.lighter":{"id":"red.lighter","hasDarkText":true,"name":"Lighter","value":"#FBEAE5","backgroundColor":"rgb(251, 234, 229)","color":"rgb(22, 29, 37)"},"red.light":{"id":"red.light","hasDarkText":true,"name":"Light","value":"#FEAD9A","backgroundColor":"rgb(254, 173, 154)","color":"rgb(22, 29, 37)"},"red.base":{"id":"red.base","hasDarkText":false,"name":"Red","value":"#DE3618","backgroundColor":"rgb(222, 54, 24)","color":"rgb(255, 255, 255)"},"red.dark":{"id":"red.dark","hasDarkText":false,"name":"Dark","value":"#BF0711","backgroundColor":"rgb(191, 7, 17)","color":"rgb(255, 255, 255)"},"red.darker":{"id":"red.darker","hasDarkText":false,"name":"Darker","value":"#330101","backgroundColor":"rgb(51, 1, 1)","color":"rgb(255, 255, 255)"},"red.text":{"id":"red.text","hasDarkText":true,"name":"Text","value":"#583C35","backgroundColor":"rgb(244, 246, 248)","color":"rgb(22, 29, 37)"}};

/***/ }),
/* 15 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;
exports.default = undefined;

var _templateObject = _taggedTemplateLiteralLoose(['\n        padding: 8px 15px;\n        cursor: pointer;\n        align-items: center;\n        display: flex;\n        min-height: 34px;\n        &:active {\n            opacity: 0.75;\n        }\n        &:hover {\n            background-color: #e6f1ff;\n        }\n    '], ['\n        padding: 8px 15px;\n        cursor: pointer;\n        align-items: center;\n        display: flex;\n        min-height: 34px;\n        &:active {\n            opacity: 0.75;\n        }\n        &:hover {\n            background-color: #e6f1ff;\n        }\n    ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n        background-color: #07f;\n        color: #fff;\n        &:hover {\n            background-color: #005fcc;\n            color: #fff;\n        }\n    '], ['\n        background-color: #07f;\n        color: #fff;\n        &:hover {\n            background-color: #005fcc;\n            color: #fff;\n        }\n    ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n                     top: 100%;\n                        position: absolute;\n                        z-index: 1;\n                    '], ['\n                     top: 100%;\n                        position: absolute;\n                        z-index: 1;\n                    ']),
    _templateObject4 = _taggedTemplateLiteralLoose(['\n                        background-color: rgb(255, 255, 255);\n                        box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 0px 1px, rgba(0, 0, 0, 0.1) 0px 4px 11px;\n                        margin-bottom: 8px;\n                        margin-top: 8px;\n                        padding-top: 4px;\n                        padding-bottom: 4px;\n                        width: 100%;\n                        box-sizing: border-box;\n                        border-radius: 4px;\n                            '], ['\n                        background-color: rgb(255, 255, 255);\n                        box-shadow: rgba(0, 0, 0, 0.1) 0px 0px 0px 1px, rgba(0, 0, 0, 0.1) 0px 4px 11px;\n                        margin-bottom: 8px;\n                        margin-top: 8px;\n                        padding-top: 4px;\n                        padding-bottom: 4px;\n                        width: 100%;\n                        box-sizing: border-box;\n                        border-radius: 4px;\n                            ']),
    _templateObject5 = _taggedTemplateLiteralLoose(['\n                                left: 0;\n                            '], ['\n                                left: 0;\n                            ']),
    _templateObject6 = _taggedTemplateLiteralLoose(['\n                                right: 0;\n                            '], ['\n                                right: 0;\n                            ']);

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _reactClickOutside = __webpack_require__(19);

var _reactClickOutside2 = _interopRequireDefault(_reactClickOutside);

var _emotion = __webpack_require__(1);

var _EmptyOption = __webpack_require__(20);

var _EmptyOption2 = _interopRequireDefault(_EmptyOption);

var _defaultOptionRenderer = __webpack_require__(21);

var _defaultOptionRenderer2 = _interopRequireDefault(_defaultOptionRenderer);

var _optionItemRenderer = __webpack_require__(22);

var _optionItemRenderer2 = _interopRequireDefault(_optionItemRenderer);

var _defaultNoOptionsRenderer = __webpack_require__(23);

var _defaultNoOptionsRenderer2 = _interopRequireDefault(_defaultNoOptionsRenderer);

var _propTypes = __webpack_require__(2);

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var createOptionClassName = function createOptionClassName(_ref) {
    var selected = _ref.selected;
    return (0, _emotion.cx)((0, _emotion.css)(_templateObject), selected ? (0, _emotion.css)(_templateObject2) : null);
};

var OptionList = function (_React$Component) {
    _inherits(OptionList, _React$Component);

    function OptionList() {
        var _temp, _this, _ret;

        _classCallCheck(this, OptionList);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.handleClickOutside = function (e) {

            if (_this.props.onClickOutside) {
                _this.props.onClickOutside(e);
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    OptionList.prototype.render = function render() {
        var _this2 = this;

        var iconGetter = this.props.iconGetter;

        var optionRenderer = this.props.optionRenderer || _defaultOptionRenderer2.default;
        var noOptionsRenderer = this.props.noOptionsRenderer || _defaultNoOptionsRenderer2.default;

        return _react2.default.createElement(
            _reactClickOutside2.default,
            {
                className: (0, _emotion.cx)(!this.props.inline ? (0, _emotion.css)(_templateObject3) : null, (0, _emotion.css)(_templateObject4), this.props.alignLeft ? (0, _emotion.css)(_templateObject5) : (0, _emotion.css)(_templateObject6), this.props.className),
                onClickOutside: this.handleClickOutside
            },
            this.props.clearable ? _react2.default.createElement(_EmptyOption2.default, {
                selected: this.props.value === null,
                onClick: function onClick() {
                    return _this2.props.onOptionClick({
                        id: null
                    });
                }
            }) : null,
            this.props.options && this.props.options.length ? this.props.options.map(function (option) {

                var selected = option.id === _this2.props.value;

                return (0, _optionItemRenderer2.default)({
                    className: createOptionClassName({
                        selected: selected
                    }),
                    key: option.id,
                    id: option.id,
                    option: option,
                    selected: selected,
                    optionRenderer: optionRenderer,
                    iconGetter: iconGetter,
                    onClick: function onClick() {
                        return _this2.props.onOptionClick({
                            id: option.id
                        });
                    }
                });
            }) : noOptionsRenderer()
        );
    };

    return OptionList;
}(_react2.default.Component);

exports.default = OptionList;
OptionList.propTypes =  false ? undefined : {};
module.exports = exports['default'];

/***/ }),
/* 16 */
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(66);


/***/ }),
/* 17 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = __webpack_require__(18);

function emptyFunction() {}
function emptyFunctionWithReset() {}
emptyFunctionWithReset.resetWarningCache = emptyFunction;

module.exports = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      // It is still safe when called from React.
      return;
    }
    var err = new Error(
      'Calling PropTypes validators directly is not supported by the `prop-types` package. ' +
      'Use PropTypes.checkPropTypes() to call them. ' +
      'Read more at http://fb.me/use-check-prop-types'
    );
    err.name = 'Invariant Violation';
    throw err;
  };
  shim.isRequired = shim;
  function getShim() {
    return shim;
  };
  // Important!
  // Keep this list in sync with production version in `./factoryWithTypeCheckers.js`.
  var ReactPropTypes = {
    array: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,

    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,

    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };

  ReactPropTypes.PropTypes = ReactPropTypes;

  return ReactPropTypes;
};


/***/ }),
/* 18 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";
/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */



var ReactPropTypesSecret = 'SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED';

module.exports = ReactPropTypesSecret;


/***/ }),
/* 19 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _propTypes = __webpack_require__(2);

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var ClickOutside = function (_Component) {
  _inherits(ClickOutside, _Component);

  function ClickOutside(props) {
    _classCallCheck(this, ClickOutside);

    var _this = _possibleConstructorReturn(this, (ClickOutside.__proto__ || Object.getPrototypeOf(ClickOutside)).call(this, props));

    _this.handle = function (e) {
      if (e.type === 'touchend') _this.isTouch = true;
      if (e.type === 'click' && _this.isTouch) return;
      var onClickOutside = _this.props.onClickOutside;

      var el = _this.container;
      if (el && !el.contains(e.target)) onClickOutside(e);
    };

    _this.getContainer = _this.getContainer.bind(_this);
    _this.isTouch = false;
    return _this;
  }

  _createClass(ClickOutside, [{
    key: 'getContainer',
    value: function getContainer(ref) {
      this.container = ref;
    }
  }, {
    key: 'render',
    value: function render() {
      var _props = this.props,
          children = _props.children,
          onClickOutside = _props.onClickOutside,
          props = _objectWithoutProperties(_props, ['children', 'onClickOutside']);

      return _react2.default.createElement(
        'div',
        _extends({}, props, { ref: this.getContainer }),
        children
      );
    }
  }, {
    key: 'componentDidMount',
    value: function componentDidMount() {
      document.addEventListener('touchend', this.handle, true);
      document.addEventListener('click', this.handle, true);
    }
  }, {
    key: 'componentWillUnmount',
    value: function componentWillUnmount() {
      document.removeEventListener('touchend', this.handle, true);
      document.removeEventListener('click', this.handle, true);
    }
  }]);

  return ClickOutside;
}(_react.Component);

ClickOutside.propTypes = {
  onClickOutside: _propTypes2.default.func.isRequired
};
exports.default = ClickOutside;

/***/ }),
/* 20 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _templateObject = _taggedTemplateLiteralLoose(['\n            padding: 8px 15px;\n            cursor: pointer;\n            align-items: center;\n            display: flex;\n           &:active {\n            opacity: 0.75;\n        }\n        &:hover {\n            background-color: #e6f1ff;\n        }\n        '], ['\n            padding: 8px 15px;\n            cursor: pointer;\n            align-items: center;\n            display: flex;\n           &:active {\n            opacity: 0.75;\n        }\n        &:hover {\n            background-color: #e6f1ff;\n        }\n        ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n            background-color: #fff;\n            border-radius: 3px;\n            color: #000;\n        '], ['\n            background-color: #fff;\n            border-radius: 3px;\n            color: #000;\n        ']);

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _emotion = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

exports.default = function (_ref) {
    var selected = _ref.selected,
        onClick = _ref.onClick;
    return _react2.default.createElement(
        'div',
        {
            className: (0, _emotion.cx)((0, _emotion.css)(_templateObject), selected ? (0, _emotion.css)(_templateObject2) : null),
            onClick: onClick
        },
        _react2.default.createElement(
            'div',
            null,
            '\xA0'
        )
    );
};

module.exports = exports['default'];

/***/ }),
/* 21 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _templateObject = _taggedTemplateLiteralLoose(['\n            max-width: 100%;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            display: flex;\n            align-items: center;\n            overflow: hidden;\n        '], ['\n            max-width: 100%;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            display: flex;\n            align-items: center;\n            overflow: hidden;\n        ']);

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _emotion = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

exports.default = function (_ref) {
    var iconGetter = _ref.iconGetter,
        selected = _ref.selected,
        option = _ref.option,
        inList = _ref.inList;


    var icon = option.icon;

    if (iconGetter) {
        icon = iconGetter({ option: option });
    }

    return _react2.default.createElement(
        'span',
        {
            className: (0, _emotion.css)(_templateObject)
        },
        inList && icon ? icon({
            height: 16,
            style: { marginRight: 8, color: selected ? '#fff' : '#6C9AEF' }
        }) : null,
        option.name ? option.name : _react2.default.createElement(
            'div',
            null,
            '\xA0'
        )
    );
};

module.exports = exports['default'];

/***/ }),
/* 22 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (_ref) {
    var key = _ref.key,
        id = _ref.id,
        className = _ref.className,
        iconGetter = _ref.iconGetter,
        selected = _ref.selected,
        option = _ref.option,
        icon = _ref.icon,
        onClick = _ref.onClick,
        optionRenderer = _ref.optionRenderer;
    return _react2.default.createElement(
        'div',
        {
            key: key,
            className: className,
            onClick: onClick
        },
        optionRenderer({ iconGetter: iconGetter, selected: selected, option: option, inList: true })
    );
};

module.exports = exports['default'];

/***/ }),
/* 23 */
/***/ (function(module, exports, __webpack_require__) {

"use strict";


exports.__esModule = true;

var _templateObject = _taggedTemplateLiteralLoose(['\n            opacity: 0.7;\n            padding: 8px 15px;\n        '], ['\n            opacity: 0.7;\n            padding: 8px 15px;\n        ']);

var _react = __webpack_require__(0);

var _react2 = _interopRequireDefault(_react);

var _emotion = __webpack_require__(1);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

exports.default = function () {
    return _react2.default.createElement(
        'div',
        {
            className: (0, _emotion.css)(_templateObject)
        },
        'No options'
    );
};

module.exports = exports['default'];

/***/ }),
/* 24 */
/***/ (function(module, exports, __webpack_require__) {

var castPath = __webpack_require__(25),
    toKey = __webpack_require__(65);

/**
 * The base implementation of `_.get` without support for default values.
 *
 * @private
 * @param {Object} object The object to query.
 * @param {Array|string} path The path of the property to get.
 * @returns {*} Returns the resolved value.
 */
function baseGet(object, path) {
  path = castPath(path, object);

  var index = 0,
      length = path.length;

  while (object != null && index < length) {
    object = object[toKey(path[index++])];
  }
  return (index && index == length) ? object : undefined;
}

module.exports = baseGet;


/***/ }),
/* 25 */
/***/ (function(module, exports, __webpack_require__) {

var isArray = __webpack_require__(7),
    isKey = __webpack_require__(26),
    stringToPath = __webpack_require__(32),
    toString = __webpack_require__(62);

/**
 * Casts `value` to a path array if it's not one.
 *
 * @private
 * @param {*} value The value to inspect.
 * @param {Object} [object] The object to query keys on.
 * @returns {Array} Returns the cast property path array.
 */
function castPath(value, object) {
  if (isArray(value)) {
    return value;
  }
  return isKey(value, object) ? [value] : stringToPath(toString(value));
}

module.exports = castPath;


/***/ }),
/* 26 */
/***/ (function(module, exports, __webpack_require__) {

var isArray = __webpack_require__(7),
    isSymbol = __webpack_require__(8);

/** Used to match property names within property paths. */
var reIsDeepProp = /\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,
    reIsPlainProp = /^\w*$/;

/**
 * Checks if `value` is a property name and not a property path.
 *
 * @private
 * @param {*} value The value to check.
 * @param {Object} [object] The object to query keys on.
 * @returns {boolean} Returns `true` if `value` is a property name, else `false`.
 */
function isKey(value, object) {
  if (isArray(value)) {
    return false;
  }
  var type = typeof value;
  if (type == 'number' || type == 'symbol' || type == 'boolean' ||
      value == null || isSymbol(value)) {
    return true;
  }
  return reIsPlainProp.test(value) || !reIsDeepProp.test(value) ||
    (object != null && value in Object(object));
}

module.exports = isKey;


/***/ }),
/* 27 */
/***/ (function(module, exports, __webpack_require__) {

/* WEBPACK VAR INJECTION */(function(global) {/** Detect free variable `global` from Node.js. */
var freeGlobal = typeof global == 'object' && global && global.Object === Object && global;

module.exports = freeGlobal;

/* WEBPACK VAR INJECTION */}.call(this, __webpack_require__(28)))

/***/ }),
/* 28 */
/***/ (function(module, exports) {

var g;

// This works in non-strict mode
g = (function() {
	return this;
})();

try {
	// This works if eval is allowed (see CSP)
	g = g || Function("return this")() || (1, eval)("this");
} catch (e) {
	// This works if the window reference is available
	if (typeof window === "object") g = window;
}

// g can still be undefined, but nothing to do about it...
// We return undefined, instead of nothing here, so it's
// easier to handle this case. if(!global) { ...}

module.exports = g;


/***/ }),
/* 29 */
/***/ (function(module, exports, __webpack_require__) {

var Symbol = __webpack_require__(9);

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/** Built-in value references. */
var symToStringTag = Symbol ? Symbol.toStringTag : undefined;

/**
 * A specialized version of `baseGetTag` which ignores `Symbol.toStringTag` values.
 *
 * @private
 * @param {*} value The value to query.
 * @returns {string} Returns the raw `toStringTag`.
 */
function getRawTag(value) {
  var isOwn = hasOwnProperty.call(value, symToStringTag),
      tag = value[symToStringTag];

  try {
    value[symToStringTag] = undefined;
    var unmasked = true;
  } catch (e) {}

  var result = nativeObjectToString.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag] = tag;
    } else {
      delete value[symToStringTag];
    }
  }
  return result;
}

module.exports = getRawTag;


/***/ }),
/* 30 */
/***/ (function(module, exports) {

/** Used for built-in method references. */
var objectProto = Object.prototype;

/**
 * Used to resolve the
 * [`toStringTag`](http://ecma-international.org/ecma-262/7.0/#sec-object.prototype.tostring)
 * of values.
 */
var nativeObjectToString = objectProto.toString;

/**
 * Converts `value` to a string using `Object.prototype.toString`.
 *
 * @private
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 */
function objectToString(value) {
  return nativeObjectToString.call(value);
}

module.exports = objectToString;


/***/ }),
/* 31 */
/***/ (function(module, exports) {

/**
 * Checks if `value` is object-like. A value is object-like if it's not `null`
 * and has a `typeof` result of "object".
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is object-like, else `false`.
 * @example
 *
 * _.isObjectLike({});
 * // => true
 *
 * _.isObjectLike([1, 2, 3]);
 * // => true
 *
 * _.isObjectLike(_.noop);
 * // => false
 *
 * _.isObjectLike(null);
 * // => false
 */
function isObjectLike(value) {
  return value != null && typeof value == 'object';
}

module.exports = isObjectLike;


/***/ }),
/* 32 */
/***/ (function(module, exports, __webpack_require__) {

var memoizeCapped = __webpack_require__(33);

/** Used to match property names within property paths. */
var rePropName = /[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g;

/** Used to match backslashes in property paths. */
var reEscapeChar = /\\(\\)?/g;

/**
 * Converts `string` to a property path array.
 *
 * @private
 * @param {string} string The string to convert.
 * @returns {Array} Returns the property path array.
 */
var stringToPath = memoizeCapped(function(string) {
  var result = [];
  if (string.charCodeAt(0) === 46 /* . */) {
    result.push('');
  }
  string.replace(rePropName, function(match, number, quote, subString) {
    result.push(quote ? subString.replace(reEscapeChar, '$1') : (number || match));
  });
  return result;
});

module.exports = stringToPath;


/***/ }),
/* 33 */
/***/ (function(module, exports, __webpack_require__) {

var memoize = __webpack_require__(34);

/** Used as the maximum memoize cache size. */
var MAX_MEMOIZE_SIZE = 500;

/**
 * A specialized version of `_.memoize` which clears the memoized function's
 * cache when it exceeds `MAX_MEMOIZE_SIZE`.
 *
 * @private
 * @param {Function} func The function to have its output memoized.
 * @returns {Function} Returns the new memoized function.
 */
function memoizeCapped(func) {
  var result = memoize(func, function(key) {
    if (cache.size === MAX_MEMOIZE_SIZE) {
      cache.clear();
    }
    return key;
  });

  var cache = result.cache;
  return result;
}

module.exports = memoizeCapped;


/***/ }),
/* 34 */
/***/ (function(module, exports, __webpack_require__) {

var MapCache = __webpack_require__(35);

/** Error message constants. */
var FUNC_ERROR_TEXT = 'Expected a function';

/**
 * Creates a function that memoizes the result of `func`. If `resolver` is
 * provided, it determines the cache key for storing the result based on the
 * arguments provided to the memoized function. By default, the first argument
 * provided to the memoized function is used as the map cache key. The `func`
 * is invoked with the `this` binding of the memoized function.
 *
 * **Note:** The cache is exposed as the `cache` property on the memoized
 * function. Its creation may be customized by replacing the `_.memoize.Cache`
 * constructor with one whose instances implement the
 * [`Map`](http://ecma-international.org/ecma-262/7.0/#sec-properties-of-the-map-prototype-object)
 * method interface of `clear`, `delete`, `get`, `has`, and `set`.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Function
 * @param {Function} func The function to have its output memoized.
 * @param {Function} [resolver] The function to resolve the cache key.
 * @returns {Function} Returns the new memoized function.
 * @example
 *
 * var object = { 'a': 1, 'b': 2 };
 * var other = { 'c': 3, 'd': 4 };
 *
 * var values = _.memoize(_.values);
 * values(object);
 * // => [1, 2]
 *
 * values(other);
 * // => [3, 4]
 *
 * object.a = 2;
 * values(object);
 * // => [1, 2]
 *
 * // Modify the result cache.
 * values.cache.set(object, ['a', 'b']);
 * values(object);
 * // => ['a', 'b']
 *
 * // Replace `_.memoize.Cache`.
 * _.memoize.Cache = WeakMap;
 */
function memoize(func, resolver) {
  if (typeof func != 'function' || (resolver != null && typeof resolver != 'function')) {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  var memoized = function() {
    var args = arguments,
        key = resolver ? resolver.apply(this, args) : args[0],
        cache = memoized.cache;

    if (cache.has(key)) {
      return cache.get(key);
    }
    var result = func.apply(this, args);
    memoized.cache = cache.set(key, result) || cache;
    return result;
  };
  memoized.cache = new (memoize.Cache || MapCache);
  return memoized;
}

// Expose `MapCache`.
memoize.Cache = MapCache;

module.exports = memoize;


/***/ }),
/* 35 */
/***/ (function(module, exports, __webpack_require__) {

var mapCacheClear = __webpack_require__(36),
    mapCacheDelete = __webpack_require__(57),
    mapCacheGet = __webpack_require__(59),
    mapCacheHas = __webpack_require__(60),
    mapCacheSet = __webpack_require__(61);

/**
 * Creates a map cache object to store key-value pairs.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function MapCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `MapCache`.
MapCache.prototype.clear = mapCacheClear;
MapCache.prototype['delete'] = mapCacheDelete;
MapCache.prototype.get = mapCacheGet;
MapCache.prototype.has = mapCacheHas;
MapCache.prototype.set = mapCacheSet;

module.exports = MapCache;


/***/ }),
/* 36 */
/***/ (function(module, exports, __webpack_require__) {

var Hash = __webpack_require__(37),
    ListCache = __webpack_require__(49),
    Map = __webpack_require__(56);

/**
 * Removes all key-value entries from the map.
 *
 * @private
 * @name clear
 * @memberOf MapCache
 */
function mapCacheClear() {
  this.size = 0;
  this.__data__ = {
    'hash': new Hash,
    'map': new (Map || ListCache),
    'string': new Hash
  };
}

module.exports = mapCacheClear;


/***/ }),
/* 37 */
/***/ (function(module, exports, __webpack_require__) {

var hashClear = __webpack_require__(38),
    hashDelete = __webpack_require__(45),
    hashGet = __webpack_require__(46),
    hashHas = __webpack_require__(47),
    hashSet = __webpack_require__(48);

/**
 * Creates a hash object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function Hash(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `Hash`.
Hash.prototype.clear = hashClear;
Hash.prototype['delete'] = hashDelete;
Hash.prototype.get = hashGet;
Hash.prototype.has = hashHas;
Hash.prototype.set = hashSet;

module.exports = Hash;


/***/ }),
/* 38 */
/***/ (function(module, exports, __webpack_require__) {

var nativeCreate = __webpack_require__(4);

/**
 * Removes all key-value entries from the hash.
 *
 * @private
 * @name clear
 * @memberOf Hash
 */
function hashClear() {
  this.__data__ = nativeCreate ? nativeCreate(null) : {};
  this.size = 0;
}

module.exports = hashClear;


/***/ }),
/* 39 */
/***/ (function(module, exports, __webpack_require__) {

var isFunction = __webpack_require__(40),
    isMasked = __webpack_require__(41),
    isObject = __webpack_require__(13),
    toSource = __webpack_require__(43);

/**
 * Used to match `RegExp`
 * [syntax characters](http://ecma-international.org/ecma-262/7.0/#sec-patterns).
 */
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;

/** Used to detect host constructors (Safari). */
var reIsHostCtor = /^\[object .+?Constructor\]$/;

/** Used for built-in method references. */
var funcProto = Function.prototype,
    objectProto = Object.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString = funcProto.toString;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/** Used to detect if a method is native. */
var reIsNative = RegExp('^' +
  funcToString.call(hasOwnProperty).replace(reRegExpChar, '\\$&')
  .replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, '$1.*?') + '$'
);

/**
 * The base implementation of `_.isNative` without bad shim checks.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a native function,
 *  else `false`.
 */
function baseIsNative(value) {
  if (!isObject(value) || isMasked(value)) {
    return false;
  }
  var pattern = isFunction(value) ? reIsNative : reIsHostCtor;
  return pattern.test(toSource(value));
}

module.exports = baseIsNative;


/***/ }),
/* 40 */
/***/ (function(module, exports, __webpack_require__) {

var baseGetTag = __webpack_require__(11),
    isObject = __webpack_require__(13);

/** `Object#toString` result references. */
var asyncTag = '[object AsyncFunction]',
    funcTag = '[object Function]',
    genTag = '[object GeneratorFunction]',
    proxyTag = '[object Proxy]';

/**
 * Checks if `value` is classified as a `Function` object.
 *
 * @static
 * @memberOf _
 * @since 0.1.0
 * @category Lang
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is a function, else `false`.
 * @example
 *
 * _.isFunction(_);
 * // => true
 *
 * _.isFunction(/abc/);
 * // => false
 */
function isFunction(value) {
  if (!isObject(value)) {
    return false;
  }
  // The use of `Object#toString` avoids issues with the `typeof` operator
  // in Safari 9 which returns 'object' for typed arrays and other constructors.
  var tag = baseGetTag(value);
  return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}

module.exports = isFunction;


/***/ }),
/* 41 */
/***/ (function(module, exports, __webpack_require__) {

var coreJsData = __webpack_require__(42);

/** Used to detect methods masquerading as native. */
var maskSrcKey = (function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || '');
  return uid ? ('Symbol(src)_1.' + uid) : '';
}());

/**
 * Checks if `func` has its source masked.
 *
 * @private
 * @param {Function} func The function to check.
 * @returns {boolean} Returns `true` if `func` is masked, else `false`.
 */
function isMasked(func) {
  return !!maskSrcKey && (maskSrcKey in func);
}

module.exports = isMasked;


/***/ }),
/* 42 */
/***/ (function(module, exports, __webpack_require__) {

var root = __webpack_require__(10);

/** Used to detect overreaching core-js shims. */
var coreJsData = root['__core-js_shared__'];

module.exports = coreJsData;


/***/ }),
/* 43 */
/***/ (function(module, exports) {

/** Used for built-in method references. */
var funcProto = Function.prototype;

/** Used to resolve the decompiled source of functions. */
var funcToString = funcProto.toString;

/**
 * Converts `func` to its source code.
 *
 * @private
 * @param {Function} func The function to convert.
 * @returns {string} Returns the source code.
 */
function toSource(func) {
  if (func != null) {
    try {
      return funcToString.call(func);
    } catch (e) {}
    try {
      return (func + '');
    } catch (e) {}
  }
  return '';
}

module.exports = toSource;


/***/ }),
/* 44 */
/***/ (function(module, exports) {

/**
 * Gets the value at `key` of `object`.
 *
 * @private
 * @param {Object} [object] The object to query.
 * @param {string} key The key of the property to get.
 * @returns {*} Returns the property value.
 */
function getValue(object, key) {
  return object == null ? undefined : object[key];
}

module.exports = getValue;


/***/ }),
/* 45 */
/***/ (function(module, exports) {

/**
 * Removes `key` and its value from the hash.
 *
 * @private
 * @name delete
 * @memberOf Hash
 * @param {Object} hash The hash to modify.
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function hashDelete(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}

module.exports = hashDelete;


/***/ }),
/* 46 */
/***/ (function(module, exports, __webpack_require__) {

var nativeCreate = __webpack_require__(4);

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED = '__lodash_hash_undefined__';

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Gets the hash value for `key`.
 *
 * @private
 * @name get
 * @memberOf Hash
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function hashGet(key) {
  var data = this.__data__;
  if (nativeCreate) {
    var result = data[key];
    return result === HASH_UNDEFINED ? undefined : result;
  }
  return hasOwnProperty.call(data, key) ? data[key] : undefined;
}

module.exports = hashGet;


/***/ }),
/* 47 */
/***/ (function(module, exports, __webpack_require__) {

var nativeCreate = __webpack_require__(4);

/** Used for built-in method references. */
var objectProto = Object.prototype;

/** Used to check objects for own properties. */
var hasOwnProperty = objectProto.hasOwnProperty;

/**
 * Checks if a hash value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf Hash
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function hashHas(key) {
  var data = this.__data__;
  return nativeCreate ? (data[key] !== undefined) : hasOwnProperty.call(data, key);
}

module.exports = hashHas;


/***/ }),
/* 48 */
/***/ (function(module, exports, __webpack_require__) {

var nativeCreate = __webpack_require__(4);

/** Used to stand-in for `undefined` hash values. */
var HASH_UNDEFINED = '__lodash_hash_undefined__';

/**
 * Sets the hash `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf Hash
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the hash instance.
 */
function hashSet(key, value) {
  var data = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data[key] = (nativeCreate && value === undefined) ? HASH_UNDEFINED : value;
  return this;
}

module.exports = hashSet;


/***/ }),
/* 49 */
/***/ (function(module, exports, __webpack_require__) {

var listCacheClear = __webpack_require__(50),
    listCacheDelete = __webpack_require__(51),
    listCacheGet = __webpack_require__(53),
    listCacheHas = __webpack_require__(54),
    listCacheSet = __webpack_require__(55);

/**
 * Creates an list cache object.
 *
 * @private
 * @constructor
 * @param {Array} [entries] The key-value pairs to cache.
 */
function ListCache(entries) {
  var index = -1,
      length = entries == null ? 0 : entries.length;

  this.clear();
  while (++index < length) {
    var entry = entries[index];
    this.set(entry[0], entry[1]);
  }
}

// Add methods to `ListCache`.
ListCache.prototype.clear = listCacheClear;
ListCache.prototype['delete'] = listCacheDelete;
ListCache.prototype.get = listCacheGet;
ListCache.prototype.has = listCacheHas;
ListCache.prototype.set = listCacheSet;

module.exports = ListCache;


/***/ }),
/* 50 */
/***/ (function(module, exports) {

/**
 * Removes all key-value entries from the list cache.
 *
 * @private
 * @name clear
 * @memberOf ListCache
 */
function listCacheClear() {
  this.__data__ = [];
  this.size = 0;
}

module.exports = listCacheClear;


/***/ }),
/* 51 */
/***/ (function(module, exports, __webpack_require__) {

var assocIndexOf = __webpack_require__(5);

/** Used for built-in method references. */
var arrayProto = Array.prototype;

/** Built-in value references. */
var splice = arrayProto.splice;

/**
 * Removes `key` and its value from the list cache.
 *
 * @private
 * @name delete
 * @memberOf ListCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function listCacheDelete(key) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  if (index < 0) {
    return false;
  }
  var lastIndex = data.length - 1;
  if (index == lastIndex) {
    data.pop();
  } else {
    splice.call(data, index, 1);
  }
  --this.size;
  return true;
}

module.exports = listCacheDelete;


/***/ }),
/* 52 */
/***/ (function(module, exports) {

/**
 * Performs a
 * [`SameValueZero`](http://ecma-international.org/ecma-262/7.0/#sec-samevaluezero)
 * comparison between two values to determine if they are equivalent.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to compare.
 * @param {*} other The other value to compare.
 * @returns {boolean} Returns `true` if the values are equivalent, else `false`.
 * @example
 *
 * var object = { 'a': 1 };
 * var other = { 'a': 1 };
 *
 * _.eq(object, object);
 * // => true
 *
 * _.eq(object, other);
 * // => false
 *
 * _.eq('a', 'a');
 * // => true
 *
 * _.eq('a', Object('a'));
 * // => false
 *
 * _.eq(NaN, NaN);
 * // => true
 */
function eq(value, other) {
  return value === other || (value !== value && other !== other);
}

module.exports = eq;


/***/ }),
/* 53 */
/***/ (function(module, exports, __webpack_require__) {

var assocIndexOf = __webpack_require__(5);

/**
 * Gets the list cache value for `key`.
 *
 * @private
 * @name get
 * @memberOf ListCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function listCacheGet(key) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  return index < 0 ? undefined : data[index][1];
}

module.exports = listCacheGet;


/***/ }),
/* 54 */
/***/ (function(module, exports, __webpack_require__) {

var assocIndexOf = __webpack_require__(5);

/**
 * Checks if a list cache value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf ListCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function listCacheHas(key) {
  return assocIndexOf(this.__data__, key) > -1;
}

module.exports = listCacheHas;


/***/ }),
/* 55 */
/***/ (function(module, exports, __webpack_require__) {

var assocIndexOf = __webpack_require__(5);

/**
 * Sets the list cache `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf ListCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the list cache instance.
 */
function listCacheSet(key, value) {
  var data = this.__data__,
      index = assocIndexOf(data, key);

  if (index < 0) {
    ++this.size;
    data.push([key, value]);
  } else {
    data[index][1] = value;
  }
  return this;
}

module.exports = listCacheSet;


/***/ }),
/* 56 */
/***/ (function(module, exports, __webpack_require__) {

var getNative = __webpack_require__(12),
    root = __webpack_require__(10);

/* Built-in method references that are verified to be native. */
var Map = getNative(root, 'Map');

module.exports = Map;


/***/ }),
/* 57 */
/***/ (function(module, exports, __webpack_require__) {

var getMapData = __webpack_require__(6);

/**
 * Removes `key` and its value from the map.
 *
 * @private
 * @name delete
 * @memberOf MapCache
 * @param {string} key The key of the value to remove.
 * @returns {boolean} Returns `true` if the entry was removed, else `false`.
 */
function mapCacheDelete(key) {
  var result = getMapData(this, key)['delete'](key);
  this.size -= result ? 1 : 0;
  return result;
}

module.exports = mapCacheDelete;


/***/ }),
/* 58 */
/***/ (function(module, exports) {

/**
 * Checks if `value` is suitable for use as unique object key.
 *
 * @private
 * @param {*} value The value to check.
 * @returns {boolean} Returns `true` if `value` is suitable, else `false`.
 */
function isKeyable(value) {
  var type = typeof value;
  return (type == 'string' || type == 'number' || type == 'symbol' || type == 'boolean')
    ? (value !== '__proto__')
    : (value === null);
}

module.exports = isKeyable;


/***/ }),
/* 59 */
/***/ (function(module, exports, __webpack_require__) {

var getMapData = __webpack_require__(6);

/**
 * Gets the map value for `key`.
 *
 * @private
 * @name get
 * @memberOf MapCache
 * @param {string} key The key of the value to get.
 * @returns {*} Returns the entry value.
 */
function mapCacheGet(key) {
  return getMapData(this, key).get(key);
}

module.exports = mapCacheGet;


/***/ }),
/* 60 */
/***/ (function(module, exports, __webpack_require__) {

var getMapData = __webpack_require__(6);

/**
 * Checks if a map value for `key` exists.
 *
 * @private
 * @name has
 * @memberOf MapCache
 * @param {string} key The key of the entry to check.
 * @returns {boolean} Returns `true` if an entry for `key` exists, else `false`.
 */
function mapCacheHas(key) {
  return getMapData(this, key).has(key);
}

module.exports = mapCacheHas;


/***/ }),
/* 61 */
/***/ (function(module, exports, __webpack_require__) {

var getMapData = __webpack_require__(6);

/**
 * Sets the map `key` to `value`.
 *
 * @private
 * @name set
 * @memberOf MapCache
 * @param {string} key The key of the value to set.
 * @param {*} value The value to set.
 * @returns {Object} Returns the map cache instance.
 */
function mapCacheSet(key, value) {
  var data = getMapData(this, key),
      size = data.size;

  data.set(key, value);
  this.size += data.size == size ? 0 : 1;
  return this;
}

module.exports = mapCacheSet;


/***/ }),
/* 62 */
/***/ (function(module, exports, __webpack_require__) {

var baseToString = __webpack_require__(63);

/**
 * Converts `value` to a string. An empty string is returned for `null`
 * and `undefined` values. The sign of `-0` is preserved.
 *
 * @static
 * @memberOf _
 * @since 4.0.0
 * @category Lang
 * @param {*} value The value to convert.
 * @returns {string} Returns the converted string.
 * @example
 *
 * _.toString(null);
 * // => ''
 *
 * _.toString(-0);
 * // => '-0'
 *
 * _.toString([1, 2, 3]);
 * // => '1,2,3'
 */
function toString(value) {
  return value == null ? '' : baseToString(value);
}

module.exports = toString;


/***/ }),
/* 63 */
/***/ (function(module, exports, __webpack_require__) {

var Symbol = __webpack_require__(9),
    arrayMap = __webpack_require__(64),
    isArray = __webpack_require__(7),
    isSymbol = __webpack_require__(8);

/** Used as references for various `Number` constants. */
var INFINITY = 1 / 0;

/** Used to convert symbols to primitives and strings. */
var symbolProto = Symbol ? Symbol.prototype : undefined,
    symbolToString = symbolProto ? symbolProto.toString : undefined;

/**
 * The base implementation of `_.toString` which doesn't convert nullish
 * values to empty strings.
 *
 * @private
 * @param {*} value The value to process.
 * @returns {string} Returns the string.
 */
function baseToString(value) {
  // Exit early for strings to avoid a performance hit in some environments.
  if (typeof value == 'string') {
    return value;
  }
  if (isArray(value)) {
    // Recursively convert values (susceptible to call stack limits).
    return arrayMap(value, baseToString) + '';
  }
  if (isSymbol(value)) {
    return symbolToString ? symbolToString.call(value) : '';
  }
  var result = (value + '');
  return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
}

module.exports = baseToString;


/***/ }),
/* 64 */
/***/ (function(module, exports) {

/**
 * A specialized version of `_.map` for arrays without support for iteratee
 * shorthands.
 *
 * @private
 * @param {Array} [array] The array to iterate over.
 * @param {Function} iteratee The function invoked per iteration.
 * @returns {Array} Returns the new mapped array.
 */
function arrayMap(array, iteratee) {
  var index = -1,
      length = array == null ? 0 : array.length,
      result = Array(length);

  while (++index < length) {
    result[index] = iteratee(array[index], index, array);
  }
  return result;
}

module.exports = arrayMap;


/***/ }),
/* 65 */
/***/ (function(module, exports, __webpack_require__) {

var isSymbol = __webpack_require__(8);

/** Used as references for various `Number` constants. */
var INFINITY = 1 / 0;

/**
 * Converts `value` to a string key if it's not a string or symbol.
 *
 * @private
 * @param {*} value The value to inspect.
 * @returns {string|symbol} Returns the key.
 */
function toKey(value) {
  if (typeof value == 'string' || isSymbol(value)) {
    return value;
  }
  var result = (value + '');
  return (result == '0' && (1 / value) == -INFINITY) ? '-0' : result;
}

module.exports = toKey;


/***/ }),
/* 66 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);

// EXTERNAL MODULE: external {"root":"React","commonjs2":"react","commonjs":"react","amd":"react"}
var external_root_React_commonjs2_react_commonjs_react_amd_react_ = __webpack_require__(0);
var external_root_React_commonjs2_react_commonjs_react_amd_react_default = /*#__PURE__*/__webpack_require__.n(external_root_React_commonjs2_react_commonjs_react_amd_react_);

// EXTERNAL MODULE: ./node_modules/prop-types/index.js
var prop_types = __webpack_require__(2);
var prop_types_default = /*#__PURE__*/__webpack_require__.n(prop_types);

// EXTERNAL MODULE: ./node_modules/emotion/dist/emotion.esm.js + 10 modules
var emotion_esm = __webpack_require__(1);

// EXTERNAL MODULE: ./node_modules/@cmds/colors/es/colors.json
var colors = __webpack_require__(14);

// CONCATENATED MODULE: ./node_modules/@cmds/colors/es/index.js


/* harmony default export */ var es = (colors);
// CONCATENATED MODULE: ./node_modules/@cmds/button/es/index.js
var _templateObject = _taggedTemplateLiteralLoose(['\n            background: #fff;\n            border: none;\n            border-radius: 5px;\n            box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n            color: #262626;\n            cursor: pointer;\n            fill: currentColor;\n            font-size: 14px;\n            font-weight: 400;\n            line-height: 30px;\n            padding: 0 10px;\n            height: 30px;\n            position: relative;\n            text-align: center;\n            text-decoration: none;\n            transition: all .05s ease-out;\n            user-select: none;\n            white-space: nowrap;\n            display: flex;\n            align-items: center;\n            &:focus, &:hover {\n                -webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(-1px);\n                box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(-1px);\n                outline: none;\n            }\n            &:active {\n                -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(1px);\n                box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(1px);\n            }\n        '], ['\n            background: #fff;\n            border: none;\n            border-radius: 5px;\n            box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n            color: #262626;\n            cursor: pointer;\n            fill: currentColor;\n            font-size: 14px;\n            font-weight: 400;\n            line-height: 30px;\n            padding: 0 10px;\n            height: 30px;\n            position: relative;\n            text-align: center;\n            text-decoration: none;\n            transition: all .05s ease-out;\n            user-select: none;\n            white-space: nowrap;\n            display: flex;\n            align-items: center;\n            &:focus, &:hover {\n                -webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(-1px);\n                box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(-1px);\n                outline: none;\n            }\n            &:active {\n                -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(1px);\n                box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(1px);\n            }\n        ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n                -webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(-1px);\n                box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(-1px);\n                outline: none;\n            '], ['\n                -webkit-box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(-1px);\n                box-shadow: 0 2px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(-1px);\n                outline: none;\n            ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n                -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(1px);\n                box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(1px);\n            '], ['\n                -webkit-box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                -webkit-transform: translateY(1px);\n                box-shadow: 0 1px 2px 0 rgba(0,0,0,.25);\n                transform: translateY(1px);\n            ']),
    _templateObject4 = _taggedTemplateLiteralLoose(['\n            background-color: #07f;\n            color: #fff;\n            font-weight: 700;\n            '], ['\n            background-color: #07f;\n            color: #fff;\n            font-weight: 700;\n            ']),
    _templateObject5 = _taggedTemplateLiteralLoose(['\n\n            '], ['\n\n            ']),
    _templateObject6 = _taggedTemplateLiteralLoose(['\n                &:before {\n                    background-color: rgba(0,119,255,.1);\n                    border: 3px solid #fff;\n                    border-radius: 5px;\n                    bottom: 0;\n                    content: "";\n                    left: 0;\n                    position: absolute;\n                    right: 0;\n                    top: 0;\n                }\n                &:after {\n                    border: 1px solid #07f;\n                    border-radius: 5px;\n                    bottom: 0;\n                    content: "";\n                    left: 0;\n                    position: absolute;\n                    right: 0;\n                    top: 0;\n                }\n            '], ['\n                &:before {\n                    background-color: rgba(0,119,255,.1);\n                    border: 3px solid #fff;\n                    border-radius: 5px;\n                    bottom: 0;\n                    content: "";\n                    left: 0;\n                    position: absolute;\n                    right: 0;\n                    top: 0;\n                }\n                &:after {\n                    border: 1px solid #07f;\n                    border-radius: 5px;\n                    bottom: 0;\n                    content: "";\n                    left: 0;\n                    position: absolute;\n                    right: 0;\n                    top: 0;\n                }\n            ']),
    _templateObject7 = _taggedTemplateLiteralLoose(['\n                margin-right: 4px;\n            '], ['\n                margin-right: 4px;\n            ']);

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }




var es_Button = function Button(_ref) {
    var onClick = _ref.onClick,
        type = _ref.type,
        className = _ref.className,
        icon = _ref.icon,
        highlighted = _ref.highlighted,
        primary = _ref.primary,
        active = _ref.active,
        hover = _ref.hover,
        focus = _ref.focus,
        children = _ref.children;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'button',
        {
            type: type || 'button',
            className: Object(emotion_esm["cx"])(Object(emotion_esm["css"])(_templateObject), hover || focus ? Object(emotion_esm["css"])(_templateObject2) : null, active ? Object(emotion_esm["css"])(_templateObject3) : null, primary ? Object(emotion_esm["css"])(_templateObject4) : Object(emotion_esm["css"])(_templateObject5), highlighted ? Object(emotion_esm["css"])(_templateObject6) : null, className),
            onClick: onClick
        },
        icon ? icon({
            height: 16,
            className: children ? Object(emotion_esm["css"])(_templateObject7) : null
        }) : null,
        children
    );
};

/* harmony default export */ var button_es = (es_Button);
// EXTERNAL MODULE: ./node_modules/@cmds/select/lib/OptionList.js
var lib_OptionList = __webpack_require__(15);
var OptionList_default = /*#__PURE__*/__webpack_require__.n(lib_OptionList);

// EXTERNAL MODULE: ./node_modules/lodash/get.js
var get = __webpack_require__(3);
var get_default = /*#__PURE__*/__webpack_require__.n(get);

// CONCATENATED MODULE: ./src/icons.js
var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };



/* harmony default export */ var icons = ({
    close: function close(props) {
        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            "svg",
            _extends({}, props, { viewBox: "0 0 12 12" }),
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement("path", { fillRule: "evenodd", fill: "currentColor",
                d: "M7.41421356,6 L9.88226406,3.5319495 C10.0816659,3.33254771 10.0828664,3.01179862 9.88577489,2.81470708 L9.18529292,2.11422511 C8.97977275,1.90870494 8.66708101,1.91870543 8.4680505,2.11773594 L6,4.58578644 L3.5319495,2.11773594 C3.33254771,1.91833414 3.01179862,1.91713357 2.81470708,2.11422511 L2.11422511,2.81470708 C1.90870494,3.02022725 1.91870543,3.33291899 2.11773594,3.5319495 L4.58578644,6 L2.11773594,8.4680505 C1.91833414,8.66745229 1.91713357,8.98820138 2.11422511,9.18529292 L2.81470708,9.88577489 C3.02022725,10.0912951 3.33291899,10.0812946 3.5319495,9.88226406 L6,7.41421356 L8.4680505,9.88226406 C8.66745229,10.0816659 8.98820138,10.0828664 9.18529292,9.88577489 L9.88577489,9.18529292 C10.0912951,8.97977275 10.0812946,8.66708101 9.88226406,8.4680505 L7.41421356,6 L7.41421356,6 Z" })
        );
    }
});
// CONCATENATED MODULE: ./src/Option.js
var Option_templateObject = Option_taggedTemplateLiteralLoose(['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        '], ['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        ']),
    Option_templateObject2 = Option_taggedTemplateLiteralLoose(['\n                display: flex;\n                align-items: center;\n            '], ['\n                display: flex;\n                align-items: center;\n            ']),
    Option_templateObject3 = Option_taggedTemplateLiteralLoose(['\n                        cursor: pointer;\n                        margin-left: 4px;\n                        display: flex;\n                        &:active {\n                            opacity: 0.75;\n                        }\n                    '], ['\n                        cursor: pointer;\n                        margin-left: 4px;\n                        display: flex;\n                        &:active {\n                            opacity: 0.75;\n                        }\n                    ']);

function Option_taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }







/* harmony default export */ var src_Option = (function (_ref) {
    var className = _ref.className,
        option = _ref.option,
        onRemove = _ref.onRemove;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["cx"])(Object(emotion_esm["css"])(Option_templateObject, get_default()(es, [option.colorId, 'backgroundColor']), get_default()(es, [option.colorId, 'color'])), className)
        },
        external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            {
                className: Object(emotion_esm["css"])(Option_templateObject2)
            },
            option.name,
            onRemove ? icons.close({
                height: 12,
                className: Object(emotion_esm["css"])(Option_templateObject3),
                onClick: function onClick() {
                    return onRemove({ id: option.id });
                }
            }) : null
        )
    );
});
// CONCATENATED MODULE: ./src/contexts/recordDetail/editor.js
var editor_templateObject = editor_taggedTemplateLiteralLoose(['\n                    background-color: ', ';\n                    color: ', ';\n                    min-width: 18px;\n                    height: 18px;\n                    font-size: 13px;\n                    font-weight: 400;\n                    max-width: 100%;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                    -webkit-print-color-adjust: exact;\n                    border-radius: 9999px;\n                    flex: 0 0 auto;\n                '], ['\n                    background-color: ', ';\n                    color: ', ';\n                    min-width: 18px;\n                    height: 18px;\n                    font-size: 13px;\n                    font-weight: 400;\n                    max-width: 100%;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                    -webkit-print-color-adjust: exact;\n                    border-radius: 9999px;\n                    flex: 0 0 auto;\n                ']),
    editor_templateObject2 = editor_taggedTemplateLiteralLoose(['\n                        margin-bottom: 24px;\n                    '], ['\n                        margin-bottom: 24px;\n                    ']),
    editor_templateObject3 = editor_taggedTemplateLiteralLoose(['\n                            position: relative;\n                        '], ['\n                            position: relative;\n                        ']),
    editor_templateObject4 = editor_taggedTemplateLiteralLoose(['\n                                    margin-top: -21px;\n                                '], ['\n                                    margin-top: -21px;\n                                ']),
    editor_templateObject5 = editor_taggedTemplateLiteralLoose(['\n                                max-width: 100%;\n                                cursor: pointer;\n                                align-items: center;\n                                display: inline-flex;\n                                flex: none;\n                                margin-top: 4px;\n                                margin-bottom: 4px;\n                                margin-right: 4px;\n                            '], ['\n                                max-width: 100%;\n                                cursor: pointer;\n                                align-items: center;\n                                display: inline-flex;\n                                flex: none;\n                                margin-top: 4px;\n                                margin-bottom: 4px;\n                                margin-right: 4px;\n                            ']),
    editor_templateObject6 = editor_taggedTemplateLiteralLoose(['opacity: 0.7;'], ['opacity: 0.7;']);

function editor_taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }








var editor_MultipleSelectField = function (_React$Component) {
    _inherits(MultipleSelectField, _React$Component);

    function MultipleSelectField() {
        var _temp, _this, _ret;

        _classCallCheck(this, MultipleSelectField);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.state = {
            open: false
        }, _this.optionRenderer = function (_ref) {
            var option = _ref.option;


            var color = es[option.colorId] || defaultColor;

            return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(editor_templateObject, color.backgroundColor, color.color)
                },
                option.name
            );
        }, _this.handleOptionLink = function (_ref2) {
            var id = _ref2.id;


            _this.setState({ open: false });

            if (_this.props.onOptionLink) {
                _this.props.onOptionLink({
                    id: _this.props.id,
                    optionId: id
                });
            }
        }, _this.handleOptionUnlink = function (_ref3) {
            var id = _ref3.id;


            if (_this.props.onOptionUnlink) {
                _this.props.onOptionUnlink({
                    id: _this.props.id,
                    optionId: id
                });
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    MultipleSelectField.prototype.render = function render() {
        var _this2 = this;

        var optionsById = this.props.options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        var options = this.props.options.filter(function (option) {
            return _this2.props.optionIds.includes(option.id) === false;
        });

        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            null,
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(editor_templateObject2)
                },
                external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                    'div',
                    {
                        className: Object(emotion_esm["css"])(editor_templateObject3)
                    },
                    external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                        button_es,
                        {
                            onClick: function onClick() {
                                return _this2.setState({ open: true });
                            }
                        },
                        'Select an option'
                    ),
                    this.state.open ? external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(OptionList_default.a, {
                        className: Object(emotion_esm["css"])(editor_templateObject4),
                        alignLeft: true,
                        options: options,
                        optionRenderer: this.optionRenderer,
                        onOptionClick: this.handleOptionLink,
                        onClickOutside: function onClickOutside() {
                            return _this2.setState({ open: false });
                        }
                    }) : null
                )
            ),
            this.props.optionIds && this.props.optionIds.length ? this.props.optionIds.map(function (id) {

                var option = optionsById[id];

                return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                    'div',
                    {
                        key: option.id,
                        className: Object(emotion_esm["css"])(editor_templateObject5)
                    },
                    external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(src_Option, {
                        option: option,
                        onRemove: _this2.handleOptionUnlink
                    })
                );
            }) : external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                { className: Object(emotion_esm["css"])(editor_templateObject6) },
                'No options selected'
            )
        );
    };

    return MultipleSelectField;
}(external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.Component);


// CONCATENATED MODULE: ./src/contexts/recordDetail/readOnly.js
var readOnly_templateObject = readOnly_taggedTemplateLiteralLoose(['\n            max-width: 100%;\n            cursor: pointer;\n            align-items: center;\n            display: inline-flex;\n            flex: none;\n            margin-top: 4px;\n            margin-bottom: 4px;\n            margin-right: 4px;\n        '], ['\n            max-width: 100%;\n            cursor: pointer;\n            align-items: center;\n            display: inline-flex;\n            flex: none;\n            margin-top: 4px;\n            margin-bottom: 4px;\n            margin-right: 4px;\n        ']),
    readOnly_templateObject2 = readOnly_taggedTemplateLiteralLoose(['\n                background-color: ', ';\n                color: ', ';\n                min-width: 18px;\n                height: 18px;\n                font-size: 13px;\n                font-weight: 400;\n                    border-radius: 9999px;\n                    max-width: 100%;\n                    flex: none;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                        -webkit-print-color-adjust: exact;\n                        cursor: pointer;\n            '], ['\n                background-color: ', ';\n                color: ', ';\n                min-width: 18px;\n                height: 18px;\n                font-size: 13px;\n                font-weight: 400;\n                    border-radius: 9999px;\n                    max-width: 100%;\n                    flex: none;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                        -webkit-print-color-adjust: exact;\n                        cursor: pointer;\n            ']),
    readOnly_templateObject3 = readOnly_taggedTemplateLiteralLoose(['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                    max-width: 100%;\n                    overflow: hidden;\n                    text-overflow: ellipsis;\n                    white-space: nowrap;\n                '], ['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                    max-width: 100%;\n                    overflow: hidden;\n                    text-overflow: ellipsis;\n                    white-space: nowrap;\n                ']),
    readOnly_templateObject4 = readOnly_taggedTemplateLiteralLoose(['\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            color: #111111;\n            cursor: default;\n            outline: none;\n            display: flex;\n            flex-wrap: wrap;\n            vertical-align: middle;\n            position: relative;\n            white-space: normal;\n            line-height: 12px;\n            overflow: visible;\n            background-color: transparent;\n            width: 100%;\n            height: auto;\n        '], ['\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            color: #111111;\n            cursor: default;\n            outline: none;\n            display: flex;\n            flex-wrap: wrap;\n            vertical-align: middle;\n            position: relative;\n            white-space: normal;\n            line-height: 12px;\n            overflow: visible;\n            background-color: transparent;\n            width: 100%;\n            height: auto;\n        ']),
    readOnly_templateObject5 = readOnly_taggedTemplateLiteralLoose(['\n                display: flex;\n                flex: 1 1 auto;\n                min-width: 0;\n                min-height: 0;\n            '], ['\n                display: flex;\n                flex: 1 1 auto;\n                min-width: 0;\n                min-height: 0;\n            ']),
    readOnly_templateObject6 = readOnly_taggedTemplateLiteralLoose(['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                '], ['\n                    flex: 1 1 auto;\n                    min-width: 0;\n                    min-height: 0;\n                ']),
    readOnly_templateObject7 = readOnly_taggedTemplateLiteralLoose(['\n                        display: flex;\n                        position: relative;\n                        overflow: auto;\n                        align-content: flex-start;\n                        align-items: flex-start;\n                        flex-wrap: wrap;\n                    '], ['\n                        display: flex;\n                        position: relative;\n                        overflow: auto;\n                        align-content: flex-start;\n                        align-items: flex-start;\n                        flex-wrap: wrap;\n                    ']);

function readOnly_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function readOnly_possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function readOnly_inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function readOnly_taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }






var readOnly_Option = function Option(_ref) {
    var option = _ref.option;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(readOnly_templateObject)
        },
        external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'span',
            {
                className: Object(emotion_esm["css"])(readOnly_templateObject2, get_default()(es, [option.colorId, 'backgroundColor']), get_default()(es, [option.colorId, 'color']))
            },
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(readOnly_templateObject3)
                },
                option.name
            )
        )
    );
};

var readOnly_OptionList = function OptionList(_ref2) {
    var children = _ref2.children;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(readOnly_templateObject4)
        },
        external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            {
                className: Object(emotion_esm["css"])(readOnly_templateObject5)
            },
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(readOnly_templateObject6)
                },
                external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                    'div',
                    {
                        className: Object(emotion_esm["css"])(readOnly_templateObject7)
                    },
                    children
                )
            )
        )
    );
};

var readOnly_RecordListItem = function (_React$Component) {
    readOnly_inherits(RecordListItem, _React$Component);

    function RecordListItem() {
        readOnly_classCallCheck(this, RecordListItem);

        return readOnly_possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    RecordListItem.prototype.render = function render() {
        var _props = this.props,
            optionIds = _props.optionIds,
            options = _props.options;


        var optionsById = options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        if (!optionIds) return null;

        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            readOnly_OptionList,
            null,
            optionIds.map(function (id) {

                var option = optionsById[id];

                return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(readOnly_Option, {
                    key: id,
                    id: id,
                    option: option
                });
            })
        );
    };

    return RecordListItem;
}(external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.Component);


// CONCATENATED MODULE: ./src/contexts/recordGalleryCard/index.js
var recordGalleryCard_templateObject = recordGalleryCard_taggedTemplateLiteralLoose(['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        '], ['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        ']),
    recordGalleryCard_templateObject2 = recordGalleryCard_taggedTemplateLiteralLoose(['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        '], ['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        ']),
    recordGalleryCard_templateObject3 = recordGalleryCard_taggedTemplateLiteralLoose(['\n            position: relative;\n        '], ['\n            position: relative;\n        ']),
    recordGalleryCard_templateObject4 = recordGalleryCard_taggedTemplateLiteralLoose(['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        '], ['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        ']);

function recordGalleryCard_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function recordGalleryCard_possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function recordGalleryCard_inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function recordGalleryCard_taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }






var recordGalleryCard_Option = function Option(_ref) {
    var option = _ref.option;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(recordGalleryCard_templateObject, get_default()(es, [option.colorId, 'backgroundColor']), get_default()(es, [option.colorId, 'color']))
        },
        option.name
    );
};

var recordGalleryCard_OptionList = function OptionList(_ref2) {
    var children = _ref2.children;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(recordGalleryCard_templateObject2)
        },
        external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            {
                className: Object(emotion_esm["css"])(recordGalleryCard_templateObject3)
            },
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(recordGalleryCard_templateObject4)
                },
                children
            )
        )
    );
};

var recordGalleryCard_RecordGalleryCard = function (_React$Component) {
    recordGalleryCard_inherits(RecordGalleryCard, _React$Component);

    function RecordGalleryCard() {
        recordGalleryCard_classCallCheck(this, RecordGalleryCard);

        return recordGalleryCard_possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    RecordGalleryCard.prototype.render = function render() {
        var _props = this.props,
            optionIds = _props.optionIds,
            options = _props.options;


        var optionsById = options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        if (!optionIds) return null;

        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            recordGalleryCard_OptionList,
            null,
            optionIds.map(function (id) {

                var option = optionsById[id];

                return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(recordGalleryCard_Option, {
                    key: id,
                    id: id,
                    option: option
                });
            })
        );
    };

    return RecordGalleryCard;
}(external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.Component);


// CONCATENATED MODULE: ./src/contexts/recordListItem/index.js
var recordListItem_templateObject = recordListItem_taggedTemplateLiteralLoose(['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        '], ['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        ']),
    recordListItem_templateObject2 = recordListItem_taggedTemplateLiteralLoose(['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        '], ['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        ']),
    recordListItem_templateObject3 = recordListItem_taggedTemplateLiteralLoose(['\n            position: relative;\n        '], ['\n            position: relative;\n        ']),
    recordListItem_templateObject4 = recordListItem_taggedTemplateLiteralLoose(['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        '], ['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        ']);

function recordListItem_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function recordListItem_possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function recordListItem_inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function recordListItem_taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }






var recordListItem_Option = function Option(_ref) {
    var option = _ref.option;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(recordListItem_templateObject, get_default()(es, [option.colorId, 'backgroundColor']), get_default()(es, [option.colorId, 'color']))
        },
        option.name
    );
};

var recordListItem_OptionList = function OptionList(_ref2) {
    var children = _ref2.children;
    return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
        'div',
        {
            className: Object(emotion_esm["css"])(recordListItem_templateObject2)
        },
        external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            {
                className: Object(emotion_esm["css"])(recordListItem_templateObject3)
            },
            external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
                'div',
                {
                    className: Object(emotion_esm["css"])(recordListItem_templateObject4)
                },
                children
            )
        )
    );
};

var recordListItem_RecordListItem = function (_React$Component) {
    recordListItem_inherits(RecordListItem, _React$Component);

    function RecordListItem() {
        recordListItem_classCallCheck(this, RecordListItem);

        return recordListItem_possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    RecordListItem.prototype.render = function render() {
        var _props = this.props,
            optionIds = _props.optionIds,
            options = _props.options;


        var optionsById = options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        if (!optionIds) return null;

        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            recordListItem_OptionList,
            null,
            optionIds.map(function (id) {

                var option = optionsById[id];

                return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(recordListItem_Option, {
                    key: id,
                    id: id,
                    option: option
                });
            })
        );
    };

    return RecordListItem;
}(external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.Component);


// CONCATENATED MODULE: ./src/index.js
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "default", function() { return src_MultipleSelectField; });
var _class, src_temp;

function src_classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function src_possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function src_inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }








var src_MultipleSelectField = (src_temp = _class = function (_React$Component) {
    src_inherits(MultipleSelectField, _React$Component);

    function MultipleSelectField() {
        src_classCallCheck(this, MultipleSelectField);

        return src_possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    MultipleSelectField.prototype.render = function render() {
        var _props = this.props,
            contextId = _props.contextId,
            roleId = _props.roleId;


        if (contextId === 'recordDetail' && roleId === 'editor') {

            return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(editor_MultipleSelectField, this.props);
        }

        if (contextId === 'recordDetail' && roleId === 'readOnly') {

            return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(readOnly_RecordListItem, this.props);
        }

        if (contextId === 'recordGalleryCard') {

            return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(recordGalleryCard_RecordGalleryCard, this.props);
        }

        if (contextId === 'recordListItem') {

            return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(recordListItem_RecordListItem, this.props);
        }

        return external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.createElement(
            'div',
            null,
            'Not supported'
        );
    };

    return MultipleSelectField;
}(external_root_React_commonjs2_react_commonjs_react_amd_react_default.a.Component), _class.propTypes = {
    id: prop_types_default.a.string.isRequired,
    contextId: prop_types_default.a.oneOf(['recordDetail', 'recordGridRow', 'recordGalleryCard', 'recordListItem']),
    roleId: prop_types_default.a.oneOf(['editor', 'readOnly']),
    optionIds: prop_types_default.a.arrayOf(prop_types_default.a.string.isRequired),
    coloredOptions: prop_types_default.a.bool.isRequired,
    options: prop_types_default.a.arrayOf(prop_types_default.a.shape({
        id: prop_types_default.a.string.isRequired,
        colorId: prop_types_default.a.string,
        name: prop_types_default.a.string.isRequired
    })),
    onLink: prop_types_default.a.func,
    onUnlink: prop_types_default.a.func,
    onClear: prop_types_default.a.func,
    onSort: prop_types_default.a.func
}, src_temp);


/***/ })
/******/ ])["default"];
});