var _templateObject = _taggedTemplateLiteralLoose(['\n                    background-color: ', ';\n                    color: ', ';\n                    min-width: 18px;\n                    height: 18px;\n                    font-size: 13px;\n                    font-weight: 400;\n                    max-width: 100%;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                    -webkit-print-color-adjust: exact;\n                    border-radius: 9999px;\n                    flex: 0 0 auto;\n                '], ['\n                    background-color: ', ';\n                    color: ', ';\n                    min-width: 18px;\n                    height: 18px;\n                    font-size: 13px;\n                    font-weight: 400;\n                    max-width: 100%;\n                    align-items: center;\n                    display: inline-flex;\n                    padding-left: 8px;\n                    padding-right: 8px;\n                    line-height: 1.5;\n                    -webkit-print-color-adjust: exact;\n                    border-radius: 9999px;\n                    flex: 0 0 auto;\n                ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n                        margin-bottom: 24px;\n                    '], ['\n                        margin-bottom: 24px;\n                    ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n                            position: relative;\n                        '], ['\n                            position: relative;\n                        ']),
    _templateObject4 = _taggedTemplateLiteralLoose(['\n                                    margin-top: -21px;\n                                '], ['\n                                    margin-top: -21px;\n                                ']),
    _templateObject5 = _taggedTemplateLiteralLoose(['\n                                max-width: 100%;\n                                cursor: pointer;\n                                align-items: center;\n                                display: inline-flex;\n                                flex: none;\n                                margin-top: 4px;\n                                margin-bottom: 4px;\n                                margin-right: 4px;\n                            '], ['\n                                max-width: 100%;\n                                cursor: pointer;\n                                align-items: center;\n                                display: inline-flex;\n                                flex: none;\n                                margin-top: 4px;\n                                margin-bottom: 4px;\n                                margin-right: 4px;\n                            ']),
    _templateObject6 = _taggedTemplateLiteralLoose(['opacity: 0.7;'], ['opacity: 0.7;']);

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React from 'react';
import { css } from 'emotion';
import colors from '@cmds/colors';
import Button from '@cmds/button';
import OptionList from '@cmds/select/lib/OptionList';
import Option from '../../Option';

var MultipleSelectField = function (_React$Component) {
    _inherits(MultipleSelectField, _React$Component);

    function MultipleSelectField() {
        var _temp, _this, _ret;

        _classCallCheck(this, MultipleSelectField);

        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        return _ret = (_temp = (_this = _possibleConstructorReturn(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.state = {
            open: false
        }, _this.optionRenderer = function (_ref) {
            var option = _ref.option;


            var color = colors[option.colorId] || defaultColor;

            return React.createElement(
                'div',
                {
                    className: css(_templateObject, color.backgroundColor, color.color)
                },
                option.name
            );
        }, _this.handleOptionLink = function (_ref2) {
            var id = _ref2.id;


            _this.setState({ open: false });

            if (_this.props.onOptionLink) {
                _this.props.onOptionLink({
                    id: _this.props.id,
                    optionId: id
                });
            }
        }, _this.handleOptionUnlink = function (_ref3) {
            var id = _ref3.id;


            if (_this.props.onOptionUnlink) {
                _this.props.onOptionUnlink({
                    id: _this.props.id,
                    optionId: id
                });
            }
        }, _temp), _possibleConstructorReturn(_this, _ret);
    }

    MultipleSelectField.prototype.render = function render() {
        var _this2 = this;

        var optionsById = this.props.options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        var options = this.props.options.filter(function (option) {
            return _this2.props.optionIds.includes(option.id) === false;
        });

        return React.createElement(
            'div',
            null,
            React.createElement(
                'div',
                {
                    className: css(_templateObject2)
                },
                React.createElement(
                    'div',
                    {
                        className: css(_templateObject3)
                    },
                    React.createElement(
                        Button,
                        {
                            onClick: function onClick() {
                                return _this2.setState({ open: true });
                            }
                        },
                        'Select an option'
                    ),
                    this.state.open ? React.createElement(OptionList, {
                        className: css(_templateObject4),
                        alignLeft: true,
                        options: options,
                        optionRenderer: this.optionRenderer,
                        onOptionClick: this.handleOptionLink,
                        onClickOutside: function onClickOutside() {
                            return _this2.setState({ open: false });
                        }
                    }) : null
                )
            ),
            this.props.optionIds && this.props.optionIds.length ? this.props.optionIds.map(function (id) {

                var option = optionsById[id];

                return React.createElement(
                    'div',
                    {
                        key: option.id,
                        className: css(_templateObject5)
                    },
                    React.createElement(Option, {
                        option: option,
                        onRemove: _this2.handleOptionUnlink
                    })
                );
            }) : React.createElement(
                'div',
                { className: css(_templateObject6) },
                'No options selected'
            )
        );
    };

    return MultipleSelectField;
}(React.Component);

export { MultipleSelectField as default };