'use strict';

exports.__esModule = true;
exports.default = undefined;

var _templateObject = _taggedTemplateLiteralLoose(['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        '], ['\n            min-width: 18px;\n            height: 18px;\n            font-size: 13px;\n            font-weight: 400;\n            background-color: ', ';\n            color: ', ';\n            margin-right: 4px;\n            border-radius: 9999px;\n            line-height: 1.5;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            padding-left: 8px;\n            padding-right: 8px;\n            display: inline-block;\n            max-width: 100%;\n            overflow: hidden;\n            text-overflow: ellipsis;\n            white-space: nowrap;\n            -webkit-print-color-adjust: exact;\n        ']),
    _templateObject2 = _taggedTemplateLiteralLoose(['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        '], ['\n            position: relative;\n            font-size: 13px;\n            padding: 0;\n            margin: 0;\n            vertical-align: top;\n            background: #fff;\n            color: #000;\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex-wrap: wrap;\n            -ms-flex-wrap: wrap;\n            flex-wrap: wrap;\n            width: 100%;\n            overflow: hidden;\n        ']),
    _templateObject3 = _taggedTemplateLiteralLoose(['\n            position: relative;\n        '], ['\n            position: relative;\n        ']),
    _templateObject4 = _taggedTemplateLiteralLoose(['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        '], ['\n            display: -webkit-box;\n            display: -webkit-flex;\n            display: -ms-flexbox;\n            display: flex;\n            -webkit-flex: 1 1 auto;\n            -ms-flex: 1 1 auto;\n            flex: 1 1 auto;\n            min-width: 0;\n            min-height: 0;\n            overflow: hidden;\n            max-width: 100%;\n        ']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _emotion = require('emotion');

var _colors = require('@cmds/colors');

var _colors2 = _interopRequireDefault(_colors);

var _get = require('lodash/get');

var _get2 = _interopRequireDefault(_get);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _taggedTemplateLiteralLoose(strings, raw) { strings.raw = raw; return strings; }

var Option = function Option(_ref) {
    var option = _ref.option;
    return _react2.default.createElement(
        'div',
        {
            className: (0, _emotion.css)(_templateObject, (0, _get2.default)(_colors2.default, [option.colorId, 'backgroundColor']), (0, _get2.default)(_colors2.default, [option.colorId, 'color']))
        },
        option.name
    );
};

var OptionList = function OptionList(_ref2) {
    var children = _ref2.children;
    return _react2.default.createElement(
        'div',
        {
            className: (0, _emotion.css)(_templateObject2)
        },
        _react2.default.createElement(
            'div',
            {
                className: (0, _emotion.css)(_templateObject3)
            },
            _react2.default.createElement(
                'div',
                {
                    className: (0, _emotion.css)(_templateObject4)
                },
                children
            )
        )
    );
};

var RecordGalleryCard = function (_React$Component) {
    _inherits(RecordGalleryCard, _React$Component);

    function RecordGalleryCard() {
        _classCallCheck(this, RecordGalleryCard);

        return _possibleConstructorReturn(this, _React$Component.apply(this, arguments));
    }

    RecordGalleryCard.prototype.render = function render() {
        var _props = this.props,
            optionIds = _props.optionIds,
            options = _props.options;


        var optionsById = options.reduce(function (result, option) {
            result[option.id] = option;
            return result;
        }, {});

        if (!optionIds) return null;

        return _react2.default.createElement(
            OptionList,
            null,
            optionIds.map(function (id) {

                var option = optionsById[id];

                return _react2.default.createElement(Option, {
                    key: id,
                    id: id,
                    option: option
                });
            })
        );
    };

    return RecordGalleryCard;
}(_react2.default.Component);

exports.default = RecordGalleryCard;
module.exports = exports['default'];